Index: quetacion/acronimosaaraujo.tex
===================================================================
--- maquetacion/acronimosaaraujo.tex	(revision a088c355277a76f4868a63133f03acaec0086bfc)
+++ 	(revision )
@@ -1,151 +1,0 @@
-\acro{}{}
-
-\acro{AFIS}{Automated Fingerprint Identification System} 
-
-
-\acro{AC}{Autoridad de Certificación}
-
-\acro{API}{Application Programming Interface}
-
-\acro{AR}{Autoridad de Registro}
-
-\acro{BPEL}{Business Process Execution Language}
-
-\acro{CAN}{Comunidad Andina de Naciones}
-
-\acro{CANTV}{Compañía Anónima Nacional Teléfonos de Venezuela}
-
-\acro{CDMA}{Code division multiple access}
-
-\acro{CDS}{Consejo de Defensa Suramericano}
-
-\acro{CEED}{Centro de Estudios Estratégicos de Defensa de la UNASUR}
-
-\acro{CGR}{Contraloría General de la República}
-
-\acro{CICPC}{Cuerpo de Investigaciones Científicas, Penales y Criminalísticas}
-
-\acro{CNA}{Computer Network Attack}
-
-\acro{CND}{Computer Network Defense}
-
-\acro{CNE}{Consejo Nacional Electoral}
-
-\acro{CNE*}{Computer Network Exploitation}
-
-\acro{CNO}{Computer Network Operations}
-
-\acro{CNUDMI}{Comisión de las Naciones Unidas para el Derecho Mercantil Internacional}
-
-\acro{CONATEL}{Comisión Nacional de Telecomunicaciones}
-
-\acro{COSIPLAN}{Consejo Suramericano de Infraestructura y Planeamiento}
-
-\acro{CRL}{Certificate Revocation List}
-
-\acro{CSAN}{Comunidad Sudamericana de Naciones}
-
-\acro{FIDO}{Fast IDentity Online}
-
-\acro{GCHQ}{Government Communications Headquarters}
-
-\acro{GSM}{Global System for Mobile Communications}
-
-\acro{HMI}{Human–machine Interface}
-
-\acro{HSM}{Hardware Security Module}
-
-\acro{ICAO}{International Civil Aviation Organization}
-
-\acro{IEC}{International Electrotechnical Commission}
-
-\acro{IETF}{Internet Engineering Task Force}
-
-\acro{INE}{Instituto Nacional de Estadísticas}
-
-\acro{IO}{Information Operations}
-
-\acro{IP}{Internet Protocol}
-
-\acro{ISDN}{Integrated Services for Digital Network}
-
-\acro{HTML}{HyperText Markup Language}
-
-\acro{ICP}{Infraestructura de Clave Pública}
-
-\acro{ISO}{International Organization for Standardization}
-
-\acro{MERCOSUR}{Mercado Común del Sur}
-
-\acro{MIME}{Multi-Purpose Internet Mail Extensions}
-
-\acro{MUSCLE}{Movement For The Use Of Smart Cards In a Linux Enviroment}
-
-\acro{NSA}{National Security Agency}
-
-\acro{OCSP}{Online Certificate Status Protocol}
-
-\acro{PADES}{PDF Advanced Electronic Signatures}
-
-\acro{PDF}{Portable Document Format}
-
-\acro{PET}{Privacy Enhancing Technologies}
-
-
-\acro{PIN}{Personal Identification Number}
-
-\acro{PKCS}{Public Key Cryptographic Standards}
-
-\acro{PKI}{Public Key Infrastructure}
-
-\acro{PUK}{PIN UnlocK Code}
-
-\acro{PSC}{Proveedor de Servicios de Certificación}
-
-\acro{SAIME}{Servicio Administrativo de Identificación, Migración y Extranjería}
-
-\acro{SHA}{Secure Hash Algorithm}
-
-\acro{SSH}{Secure SHell}
-
-\acro{SSL}{Secure Sockets Layer}
-
-\acro{SUDEBAN}{Superintendencia de las Instituciones Bancarias}
-
-\acro{SUSCERTE}{Superintendencia de Servicios de Certificación Electrónica}
-
-\acro{TCP}{Transmission Control Protocol}
-
-\acro{TIC}{Tecnología de Información y Comunicación}
-
-
-\acro{TLS}{Transport Layer Security}
-
-\acro{XML}{Extensible Markup Language}
-
-
-\acro{ONU}{Organización de Naciones Unidas}
-
-\acro{OTAN}{Organización del Tratado del Atlántico Norte}
-
-\acro{OTP}{One-time Password}
-
-\acro{UML}{Unified Modeling Language}
-
-\acro{UNASUR}{Unión de Naciones Suramericanas}
-
-\acro{UNCITRAL}{United Nations Commission on International Trade Law}
-
-\acro{USB}{Universal Serial Bus}
-
-\acro{VPN}{Virtual Private Network}
-
-
-\acro{XMLDSig}{XML Signature}
-
-
-
-
-
-
-
Index: quetacion/acronimosemora.tex
===================================================================
--- maquetacion/acronimosemora.tex	(revision a8dadd725f8530e029d88cd5908a29a8e9317a23)
+++ 	(revision )
@@ -1,1 +1,0 @@
-%\acro{emora}{acro emora}
Index: quetacion/acronimosgvillasana.tex
===================================================================
--- maquetacion/acronimosgvillasana.tex	(revision a8dadd725f8530e029d88cd5908a29a8e9317a23)
+++ 	(revision )
@@ -1,1 +1,0 @@
-%\acro{gvillasana}{acro gvillasana}
Index: quetacion/acronimosrsumoza.tex
===================================================================
--- maquetacion/acronimosrsumoza.tex	(revision a8dadd725f8530e029d88cd5908a29a8e9317a23)
+++ 	(revision )
@@ -1,1 +1,0 @@
-%\acro{rsumoza}{acro rsumoza}