Index: maquetacion/capitulo4/capitulo4.tex
===================================================================
--- maquetacion/capitulo4/capitulo4.tex	(revision 9c88d1e397f471b107a47911db022892b8269497)
+++ maquetacion/capitulo4/capitulo4.tex	(revision c49bd5416f7ed1de03c9a1a0e40a1e6b6b061563)
@@ -8,29 +8,55 @@
 
 
-\section{Internacional de las tecnolog}
+\section{El ordenamiento jurídico venezolano y las nuevas tecnologías de la información}
 
-\section{El ordenamiento jurídico venezolano y las nuevas tecnologías de la información }
 
 La sociedad de las últimas décadas ha estado marcada por el auge de las llamadas Tecnologías de la Información y comunicación concepto que se ha acuñado a razón del uso cotidiano del mismo, 
-“...como el universo de dos conjuntos representados por las tradicionales tecnologías de la comunicación – constituidas principalmente por radio televisión y la telefonía- y por las tecnologías de la información caracterizadas por la digitalización de las tecnologías de registro de contenidos ( informática, de las comunicaciones, telemática y de las interfases)”\footnote{NACIONES UNIDAS} 
 
-Está definición resulta poco digerible para los lectores que no estén familiarizados con lo conceptos aquí planteados, y pareciera solo referirse a la información y no a la comunicación, ocurre que el quehacer social así lo ha potenciado puesto que cada vez tiene menos sentido distinguir entre la información y la comunicación abogando así por una definición más amplia y convergente de las tecnologías\footnote{lOS DERECHOS HUMANOS ANTE LOS NUEVOS AVANCES CIENTIFICOS}   en el contexto de la “sociedad de la Información” \footnote{dERECHO iNFORMATICO•}  .
-
-Así la cosas las tecnologías de la información son parte de la sociedad actual con un innegable ascenso, atrás quedaron los días en que era tan solo un sueño poder hacer un tramite bancario desde tu casa, hoy por hoy es esté el comportamiento normal y lo anormal seria ir directamente al banco, a lo que se desea referir es, que la tecnologías en las últimas décadas ha influenciado al mundo entero en todos los ámbitos, es un asunto simple de entender dado que la comunicación es la base de lo social y dentro de esta tenemos a la información, dando cómo resultado las tecnologías de la información y comunicación, entendiendo  la trascendencia de las mismas dentro de la sociedad se hace inminente poder regular la actuación de las ciudadanas y ciudadanos entorno al tema en cuestión, ya que la sociedad se desarrolla cada vez más de manera virtual, situación que amerita que el ordenamiento jurídico Internacional y nacional se acople a los avances  y regule las relaciones producto de la interacción tecnológica a fin 
-de mantener el orden social.
+“...como el universo de dos conjuntos representados por las tradicionales tecnologías de la comunicación – constituidas principalmente por radio televisión y la telefonía- y por las tecnologías de la información caracterizadas por la digitalización de las tecnologías de registro de contenidos ( informática, de las comunicaciones, telemática y de las interfases)\footnote{nota1}.
 
 
-Es prudente entonces darle un vistazo a los derechos humanos de cuarta generación \footnote{definición de derechos humano de 4ta generación}  que hacen referencia a los avances cientifismos y tecnológicos, referidos estos a,  identidad,  integridad, intimidad, el conocimiento informado de todas las actividades vinculadas con la salud, la protección de los datos, el acceso a las nuevas tecnologías entre otros \footnote{derechos humanos} , corresponde entonces a la cultura jurídica Internacional y nacional incorporar estos derechos en el desarrollo del ordenamiento jurídico, y así se ha venido haciendo desde hace algunas décadas atrás, incluso sin que existiese esta nueva denominación de Derechos Humanos, en este sentido es oportuno señalar las primeras legislaciones en la materia: La Ley de Firma Digital Utah puesta en vigencia en mayo de 1995 en Estado Unidos, en esta se prevé los procesos que regulan, aspecto tales como el sistema de doble clave para la verificación, validación y autenticidad de la 
-transacciones realizadas por la web, protección de datos entre otros. Así mismo para 1996  la Comisión de la Naciones Unidas para el Derecho Internacional (UNCITRAL), presenta el modelo de Ley Sobre comercio Electrónico resolución 51/162, la cual contiene normas con el fin de estandarizar el uso de la Firma electrónica, en tal sentido siendo que se trata de un organismo de orden Internacional, las normas aquí planteadas servirían de base para el desarrollo  de las legislaciones nacionales 6.   
+Está definición resulta poco digerible para los lectores que no estén familiarizados con lo conceptos aquí planteados, y pareciera solo referirse a la información y no a la comunicación, ocurre que el quehacer social así lo ha potenciado puesto que cada vez tiene menos sentido distinguir entre la información y la comunicación, abogando así por una definición más amplia y convergente de las tecnologías1  en el contexto de la “sociedad de la Información”\footnote{nota2}
 
-**Caso Latino America.***
+Así la cosas las tecnologías de la información son parte de la sociedad actual con un innegable ascenso atrás quedaron los días en que era tan solo un sueño poder hacer un tramite bancario desde tu casa, hoy por hoy es esté el comportamiento normal y lo anormal seria ir directamente al banco, lo que se desea referir es que las tecnologías en las últimas décadas ha influenciado al mundo entero en todos los ámbitos siendo este un asunto simple de entender dado que la comunicación es la base de lo social y dentro de esta tenemos a la información, dando cómo resultado las tecnologías de la información y comunicación. Entendiendo la trascendencia de las mismas dentro de la sociedad se hace inminente poder regular la actuación de las ciudadanas y ciudadanos entorno al tema de las tics, ya que la sociedad se desarrolla cada vez más de manera virtual lo que amerita que el ordenamiento jurídico Internacional y nacional se acople a los avances en la materia y regule las relaciones producto de la interacción tecnológica de los ciudadanos  a fin de mantener el orden social.
 
-Ahora bien el caso de la República Bolivariana de Venezuela hemos sido pioneros en distintas áreas en materia de Regulación de las TICs, y es que con la puesta en vigencia de la Constitución del año 1999,  se da valor público a las TICs  en tal sentido el establece que; El Estado reconocerá el interés público de la ciencia, la tecnología, el conocimiento, la innovación y sus aplicaciones y los servicios de información necesarios por ser instrumentos fundamentales para el desarrollo económico, social y político del país, así como para la seguridad y soberanía nacional. Para el fomento y desarrollo de esas actividades, el Estado destinará recursos suficientes y creará el sistema nacional de ciencia y tecnología de acuerdo con la ley. El sector privado deberá aportar recursos para los mismos. El Estado garantizará el cumplimiento de los principios éticos y legales que deben regir las actividades de investigación científica, humanística y tecnológica. La ley determinará los modos y medios para dar cumplimiento a 
-esta garantía\footnote{Constitución de la República Bolivariana De Venezuela (1999)} .7
+La información se ha convertido en el factor principal de civilización, haciéndose mas compleja y abundante con el pasar de los días, gracias al computador la información es ahora informática , lo que implica nuevas formas de comunicación y en algunos caso nuevas complicaciones de orden, social, económico y jurídico; es gracias a estas nuevas formas que surgen entonces nuevos derechos humanos entre los que se encuentra el derecho a la información, el cual esta integrado por tres elementos, la facultad de recolectar información, de difundir esa información y de controlarla\footnote{Chalbaud, R  Derechos Humanos y su protección Constitucional, consulta en linea 15/05/2013}.
 
-Otorgando le a su vez la capacidad  las ciudadanas y ciudadanos de acceder a la información que sobre sí misma o sobre sus bienes conste en registros públicos o privados mediante la figura de garantía constitucional de  Habeas Data \footnote{Es el derecho de toda persona natural o jurídica a interponer la acción de amparo para tomar conocimiento de los datos a ellas referidas y de su finalidad, que conste en los registros de bancos de datos públicos o los privados, destinados a proveer informes y, en caso de falsedad, inexactitud o discriminación, exigir su supresión, rectificación, confidencialidad o actualización y es considerado como un derecho a la intimidad.... El objeto principal del hábeas data está en determinar la violación de la privacidad o intimidad, como punto de partida del ilícito cometido. http://www.publicaciones.urbe.edu/index.php/telematique/article/viewArticle/856/2106}  , figura que tiene por objeto tutelado tanto  la intimidad, como la privacidad, con el fin de proteger los datos sobre 
-la información de las personas, los cuales son considerados parte integrante de los ciudadanos, y quienes hacen uso de ellos deben estar legitimados, y de igual manera están en la obligación de llevar un registro correcto de la información.
+La dinámica que ha tomado la información en las ultimas décadas hace necesario que se asegure a todos los ciudadanos el derecho a estar informados, sin embargo el ejercicio de este derecho puede causar efectos perjudiciales sobre otros que le son inherentes a la persona, en tal sentido la Directiva para la protección de los datos personales aprobada en el parlamento Europeo y por el Consejo Europeo indica que su preámbulo, que  los sistemas de tratamiento de datos deben estar al servicio del hombre de los derechos fundamentales y de la libertad de estos, en particular de la intimidad y contribuir con el desarrollo social, económico, el bienestar de los individuos\footnote{nota}, destacando la necesaria protección de los derechos fundamentales, hecho que amerita se tomen las medidas pertinentes a fin de prevenir consecuencias producto del inadecuado manejo y difusión de la información, para lo cual es prudente entonces darle un vistazo a los derechos humanos de cuarta generación\footnote{nota} referidos  a,  identidad,  integridad, intimidad, el conocimiento informado de todas las actividades vinculadas con la salud, la protección de los datos, el acceso a las nuevas tecnologías, avances cientifismos y tecnológicos  entre otros\footnote{nota}, corresponde entonces a la cultura jurídica Internacional y nacional incorporar estos derechos en el desarrollo del ordenamiento jurídico,  a fin de resguardar la integridad de los ciudadanos.
 
-“El hábeas data, tiene por finalidad impedir que se conozca la información contenida en los bancos de datos relacionados con las personas titulares del derecho que interpone la acción, cuando dicha información esté referida a aspectos de personalidad que están directamente vinculados con su intimidad, no debiendo encontrarse a disposición del público o ser utilizados en su perjuicio por órganos públicos o entes privados, sin derecho alguno que sustente dicho uso.” Oberto y Govea.(2008) Algunas consideraciones sobre el Habeas Data en Venezuela, Volumen 7. Número 3
+
+Desde hace algunas décadas, incluso sin que existiese esta  denominación de Derechos Humanos,  se ha venido normando el comportamiento de los ciudadanos entorno a la información informática, por darle una definición, en este sentido es oportuno señalar las primeras legislaciones en la materia: La Ley de Firma Digital Utah puesta en vigencia en mayo de 1995 en Estado Unidos, en la que se prevén procesos que regulan aspecto tales como, el sistema de doble clave para la verificación, validación y autenticidad de la transacciones realizadas por la web, protección de datos entre otros. Así mismo para 1996  la Comisión de la Naciones Unidas para el Derecho Internacional (UNCITRAL), presenta el modelo de Ley Sobre comercio Electrónico resolución 51/162, que contiene normas que buscan estandarizar el uso de la Firma electrónica, modelo que serviría de base para el desarrollo  de las legislaciones nacionales\footnote{Paredes, A (2008)Transformación de la cultura de servicios de información: una visión legal y de tecnologías . p117}. 
+
+\subsection{Caso Latino America}
+Principios Generales Sobre protección e datos; EN AMERICA Latina se han acogido algunos principios que regulan la procedencia y resguardo de los datos de los individuos\footnote{Salazar Edgar Habeas Data en el derecho Comparado}.
+
+\begin{itemize}
+\item La Formación de datos sera licita siempre y cuando se tomen en consideración las Leyes y reglamentos que en la nación rigen al respecto.
+
+\item Los archivos no pueden contener información o cualidades contrarias a la norma establecida en las naciones y a la moral pública; dejando claro con ello que es ilícito crear archivos que contengan pornografía por ejemplo.
+
+\item Los Datos de personas a los efectos de su tratamiento deben contener información cierta, adecuada y pertinente, sin exceder el ámbito para el cual fue obtenida.
+
+\item La recolección de datos debe hacerse por medios lícitos y en la forma que la ley estable para ello. en el caso de Venezuela particularmente debe considerase el articulo 60 de la CRBV\footnote{Cita 60 Constitucional. Toda persona tiene derecho a la protección de su honor, vida privada, intimidad, propia imagen, confidencialidad y reputación. La ley limitará el uso de la informática para garantizar el honor y la intimidad personal y familiar de los ciudadanos y ciudadanas y el pleno ejercicio de sus derechos.}.
+
+\item Los datos deben ser exactos y actualizarse de ser necesario, si se tratase de datos inexactos estos se deben destruir, suplantar o completar e por los responsable de recabar los datos o base de datos una vez que conozcan de la dificultad que muestre la información. Este derecho garantizado a los titulares de datos en el Estado Venezolano mediante el recuso de Habeas data, que desarrollara más adelante.
+
+\item Los datos deben ser almacenado de manera tal que permitan el acceso de los titulares cunado estos así lo requieran. Así mismo deberán ser cuando dejen de tener el valor para el cual fueron creado.
+
+\end{itemize}
+
+Ahora bien el caso de la República Bolivariana de Venezuela se ha maracado pauta en distintas áreas en materia de Regulación de las TICs, y es que con la puesta en vigencia de la Constitución del año 1999,  otorga valor público a las TICs  en tal sentido establece que; El Estado reconocerá el interés público de la ciencia, la tecnología, el conocimiento, la innovación y sus aplicaciones y los servicios de información necesarios por ser instrumentos fundamentales para el desarrollo económico, social y político del país, así como para la seguridad y soberanía nacional. Para el fomento y desarrollo de esas actividades, el Estado destinará recursos suficientes y creará el sistema nacional de ciencia y tecnología de acuerdo con la ley. El sector privado deberá aportar recursos para los mismos. El Estado garantizará el cumplimiento de los principios éticos y legales que deben regir las actividades de investigación científica, humanística y tecnológica. La ley determinará los modos y medios para dar cumplimiento a esta garantía\footnote{Constitución de la República Bolivariana De Venezuela (1999)}.
+
+Otorgando a su vez la capacidad  las ciudadanas y ciudadanos de acceder a la información que sobre sí misma o sobre sus bienes conste en registros públicos o privados mediante la figura de garantía constitucional  Habeas Data\footnote{Es el derecho de toda persona natural o jurídica a interponer la acción de amparo para tomar conocimiento de los datos a ellas referidas y de su finalidad, que conste en los registros de bancos de datos públicos o los privados, destinados a proveer informes y, en caso de falsedad, inexactitud o discriminación, exigir su supresión, rectificación, confidencialidad o actualización y es considerado como un derecho a la intimidad.... El objeto principal del hábeas data está en determinar la violación de la privacidad o intimidad, como punto de partida del ilícito cometido. http://www.publicaciones.urbe.edu/index.php/telematique/article/viewArticle/856/2106},  que tiene por objeto tutelado tanto la intimidad, como la privacidad, con el fin de proteger los datos sobre la información de las personas, los cuales son considerados parte integrante de ellas, y quienes hacen uso de de los mismos deben estar legitimados, y de igual manera están en la obligación de llevar un registro correcto de la información suministrada.
+
+“El hábeas data, tiene por finalidad impedir que se conozca la información contenida en los bancos de datos relacionados con las personas titulares del derecho que interpone la acción, cuando dicha información esté referida a aspectos de personalidad que están directamente vinculados con su intimidad, no debiendo encontrarse a disposición del público o ser utilizados en su perjuicio por órganos públicos o entes privados, sin derecho alguno que sustente dicho uso.” Oberto y Govea.(2008) Algunas consideraciones sobre el Habeas Data en Venezuela, Volumen 7. Número 3.
+
+
+El habeas data implica:
+Los derechos a : conocer sobre la existencia de registros de datos personales; de acceso individual a la información; de respuesta, que permite conocer la información que sobre el se ha recolectado; de conocer sobre el uso y finalidad de la información, quien la recolecte, registre y o difunda; a la actualización, rectificación y destrucción de sus datos\footnote{Salazar. E “El habeas data en Derecho Comparado” Universidad de carabobo anuario numero 29 2006}.
+
+Condiciones de admisibilidad del Habeas Data:
+
+
+
 
 