Index: maquetacion/capitulo1/certificadosElectronicos.tex
===================================================================
--- maquetacion/capitulo1/certificadosElectronicos.tex	(revision fae3161aee3f94f04a709c0f7e61e1eeccb0aa77)
+++ maquetacion/capitulo1/certificadosElectronicos.tex	(revision 80a50863f8b1f8f35f0ff2d306ad43559f9d1768)
@@ -7,10 +7,13 @@
 La manera común en la que se demuestra la identidad
 de un individuo es a través de su documento de identidad o cédula de identidad.
-Por ejemplo, un pensionado del seguro social debe presentar su cédula de identidad para retirar 
-dinero de su cuenta de banco, así como un solicitante de un préstamo para adquisición 
-de vivienda principal debe presentar, entre otros requisitos, su cédula de identidad.
-En general todas las personas utilizan la cédula de identidad como un documento físico que
-garantiza su identidad ante otras personas, instituciones, empresas e inclusive
-ante otros países. En la figura \ref{fig:cedulaDeIdentidad} se muestra una cédula de identidad 
+Por ejemplo, un pensionado del seguro social debe presentar su cédula de
+identidad para retirar 
+dinero de su cuenta de banco, así como un solicitante de un préstamo
+para adquisición de vivienda principal debe presentar, entre otros
+requisitos, su cédula de identidad.
+En general todas las personas utilizan la cédula de identidad como
+un documento físico que garantiza su identidad ante otras personas,
+instituciones, empresas e inclusive ante otros países. En la figura
+\ref{fig:cedulaDeIdentidad} se muestra una cédula de identidad 
 de un ciudadano de la República Bolivariana de Venezuela.
 
@@ -24,31 +27,34 @@
 
  
-En la sociedad digital en la que se desenvuelven los individuos en la actualidad, es
-necesario utilizar algún mecanismo que permita establecer su identidad digital. Una
-alternativa es el certificado electrónico. %Un certificado electrónico 
-Éste es un documento electrónico que asocia un conjunto de datos digitales a 
-un usuario para establecer su identidad. Así como la cédula
-de identidad incluye datos de una persona como nombres, apellidos, fecha de nacimiento 
-y estado civil, los certificados electrónicos también incluyen datos que
-permiten establecer la identidad digital de su titular y tienen un periodo de
-validez.
-
-La cédula de identidad es emitida por una institución pública en la que los ciudadanos
-confían siguiendo estándares que la hacen difícil de falsificar. En el caso de 
-los certificados electrónicos se busca mantener estas mismas características al 
-ser emitidos por una entidad con la que tanto individuos como sistemas 
-informáticos tienen una relación de confianza.
+En la sociedad digital en la que se desenvuelven muchos individuos 
+en la actualidad, es necesario utilizar algún mecanismo que permita
+establecer su identidad digital. Una alternativa es el certificado
+electrónico. %Un certificado electrónico 
+Éste es un documento electrónico que asocia un conjunto de datos
+digitales a un usuario para establecer su identidad. Así como la cédula
+de identidad incluye datos de una persona como nombres, apellidos,
+fecha de nacimiento y estado civil, los certificados electrónicos
+también incluyen datos que permiten establecer la identidad digital de su
+titular y tienen un periodo de validez.
+
+La cédula de identidad es emitida por una institución pública en la que
+los ciudadanos confían por cuanto cumple estándares que la hacen difícil de
+falsificar. En el caso de los certificados electrónicos se busca mantener
+estas mismas características al ser emitidos por una entidad con la que
+tanto individuos como sistemas informáticos tengan una relación de confianza.
 
 Los certificados electrónicos son un elemento fundamental 
 en el modelo de confianza denominado \textit{Infraestructura de Clave Pública}
-(PKI por sus siglas en inglés). Este 
-modelo describe una tecnología utilizada para establecer identidades a través de certificados 
-electrónicos y permitir el intercambio de información segura entre partes que se comunican.
-La PKI agrupa programas o software,
+(ICP o PKI por sus siglas en inglés). Este 
+modelo describe una tecnología utilizada para establecer identidades a
+través de certificados electrónicos y permitir el intercambio de información
+segura entre partes que se comunican.
+La ICP agrupa programas o software,
 piezas de hardware y documentación de políticas para establecer lo
 que se puede hacer o no con un certificado electrónico.
 
-
+\begin{comment}
 % aquí se podría describir el hecho de que se usa la criptografía de clave pública
+\end{comment}
 
 Los certificados electrónicos están basados en la criptografía de clave
@@ -57,10 +63,13 @@
 
 
-En una comunicación entre dos personas cada una genera un par de claves. El par de claves
-es tal que se complementan entre ellas; una de las claves va a ser conocida por
-las personas con quien se desea establecer la comunicación, llamada \textit{clave pública}, y
-la otra clave va a ser secreta y protegida por el titular, llamada 
-\textit{clave privada}. El objetivo de un certificado electrónico es asociar la clave pública
-de un usuario con su identidad. De esta manera, una persona presenta su certificado electrónico
+Al usarse criptografía de clave pública en una comunicación entre dos personas
+cada una genera un par de claves. Ese par de claves tiene la propiedad de
+complementarse entre si, de forma que los datos cifrados usando una de ellas
+se pueden descifrar usando la otra. Una de las claves va a ser conocida por
+la persona con quien se desea establecer la comunicación y es denominada
+ \textit{clave pública}, la otra clave va a ser secreta y protegida por
+su titular y es denominada \textit{clave privada}. El objetivo de un
+certificado electrónico es asociar la clave pública de un usuario con su
+identidad. De esta manera, una persona presenta su certificado electrónico
 ante un sistema informático para demostrar su identidad digital.
 
@@ -68,7 +77,9 @@
 En la República Bolivariana de Venezuela existe una ICP jerárquica
 denominada \textit{Infraestructura Nacional de Certificación Electrónica}. 
-Constitucionalmente se fundamenta en la Providencia Administrativa Número 016 del 05 de Febrero de 2007 de la Gaceta Oficial Número
-38.636\footnote{http://www.tsj.gov.ve/gaceta/gacetaoficial.asp}. Esta jerarquía
-es supervisada y controlada por la Superintendencia de Servicios de Certificación Electrónica
+Constitucionalmente se fundamenta en la Providencia Administrativa Número
+016 del 05 de Febrero de 2007 de la Gaceta Oficial Número
+38.636\footnote{http://www.tsj.gov.ve/gaceta/marzo/020307/020307-38636-27.html}.
+Esta jerarquía es supervisada y controlada por la Superintendencia de
+Servicios de Certificación Electrónica
 (SUSCERTE)\footnote{http://suscerte.gob.ve/}, organismo adscrito al Ministerio
 del Poder Popular para la Educación Universitaria, Ciencia y Tecnología.
@@ -78,5 +89,6 @@
 
 \begin{itemize}
-\item Autoridad de Certificación (AC) Raíz del Estado Venezolano\footnote{http://acraiz.suscerte.gob.ve/}. Es la base sobre 
+\item Autoridad de Certificación (AC) Raíz del Estado
+Venezolano\footnote{http://acraiz.suscerte.gob.ve/}. Es la base sobre 
 la cual se inicia la relación de confianza de la \textit{Infraestructura Nacional 
 de Certificación Electrónica}. Se encarga de emitir, renovar, revocar y suspender 
@@ -85,14 +97,18 @@
 
 \item Autoridades de Certificación de los Proveedores de
-Servicios de Certificación (PSC). Entidades subordinadas a la Autoridad de Certificación Raíz
-del Estado Venezolano y se encargan de emitir, renovar, revocar y suspender los
+Servicios de Certificación (PSC). Entidades subordinadas a la
+Autoridad de Certificación Raíz del Estado Venezolano y se encargan
+de emitir, renovar, revocar y suspender los
 certificados electrónicos a los signatarios y a sus Autoridades de Certificación
 subordinadas, en caso de tenerlas.
 
 \item Autoridades de Registro de los Proveedores de
-Servicios de Certificación. Entidades encargadas de controlar la generación de los certificados electrónicos
-de sus Autoridades de Certificación y comprobar la veracidad y exactitud de los datos suministrados
-por los signatarios. Generalmente las Autoridades de Registro y las Autoridades de Certificación
-de los PSC son vistos como una sola entidad de la PKI.
+Servicios de Certificación. Entidades encargadas de controlar
+la generación de los certificados electrónicos
+de sus Autoridades de Certificación y comprobar la veracidad y
+exactitud de los datos suministrados
+por los signatarios. Generalmente las Autoridades de Registro
+y las Autoridades de Certificación
+de los PSC son vistos como una sola entidad de la ICP.
 
 \item Signatarios o titulares de certificados electrónicos emitidos por los PSC.
@@ -113,9 +129,10 @@
 \end{figure}
 
+%Cuando una persona desea obtener una identidad digital en la Internet 
 Cuando una persona necesita una Identidad Digital en la Internet,
-%Cuando una persona desea obtener una identidad digital en la Internet 
 puede recurrir a un PSC para que le venda o asigne un certificado electrónico
 de acuerdo a sus respectivos documentos de políticas de 
-certificados y declaración de prácticas de certificación. Estos documentos establecen
+certificados y declaración de prácticas de certificación.
+Estos documentos establecen
 las normas y usos de los certificados electrónicos emitidos por cada Autoridad de 
 Certificación. En el capítulo \ref{chapter:fundamentosJuridicos} se presentan
@@ -126,9 +143,13 @@
 
 \begin{itemize}
-\item Fundación Instituto de Ingeniería para Investigación y Desarrollo Tecnológico\footnote{https://ar.fii.gob.ve},
-organismo adscrito al Ministerio del Poder Popular para la Educación Universitaria, Ciencia y Tecnología.
-
-\item Proveedor de Certificados (PROCERT\footnote{https://www.procert.net.ve/acprocert.asp}), C.A., 
-primera entidad privada dentro de la República Bolivariana de Venezuela en ser acreditada ante el Estado Venezolano.
+\item Fundación Instituto de Ingeniería para Investigación
+y Desarrollo Tecnológico\footnote{https://ar.fii.gob.ve},
+organismo adscrito al Ministerio del Poder Popular para
+la Educación Universitaria, Ciencia y Tecnología.
+
+\item Proveedor de Certificados
+(PROCERT\footnote{https://www.procert.net.ve/acprocert.asp}), C.A., 
+primera entidad privada dentro de la República Bolivariana de Venezuela
+en ser acreditada ante el Estado Venezolano.
 
 \end{itemize}
@@ -138,6 +159,6 @@
 
 \begin{itemize}
-\item Autenticación de usuarios. Los certificados electrónicos permiten demostrar la identidad
-de usuarios.
+\item Autenticación de usuarios. Los certificados electrónicos 
+permiten demostrar la identidad de usuarios.
 
 \item Enviar y recibir información cifrada hacia y desde terceros. Con los
@@ -146,6 +167,7 @@
 Esto proporciona confidencialidad entre las partes que se  comunican.
 
-\item Firmar electrónicamente documentos. La clave privada asociada a un certificado 
-electrónico se utiliza para firmar electrónicamente cualquier documento electrónico. Esto proporciona
+\item Firmar electrónicamente documentos. La clave privada asociada a un
+certificado electrónico se utiliza para firmar electrónicamente
+cualquier documento electrónico. Esto proporciona
 una verificación de la autoría de un documento y que su contenido permanezca
 sin modificaciones, es decir que se mantenga su integridad.
@@ -153,10 +175,13 @@
 \end{itemize}
 
+\begin{comment}
 %Cuando existe una legislación asociada a los certificados electrónicos, éstos pasan a tener 
 %vinculación legal con la identidad de su titular a través de su firma electrónica. 
-
-En el caso de la República Bolivariana de Venezuela, el Decreto con Fuerza de Ley Sobre 
-Mensajes de Datos y Firmas electrónicas promulgado en el año 2001\footnote{http://www.tsj.gov.ve/legislacion/dmdfe.htm}, 
-crea mecanismos para que la firma electrónica tenga las misma eficacia y valor 
+\end{comment}
+
+En el caso de la República Bolivariana de Venezuela, el Decreto con Fuerza de
+Ley Sobre Mensajes de Datos y Firmas electrónicas promulgado en el año
+2001 y publicado en la Gaceta Oficial número 37.148 del 28 de febrero de ese año\footnote{http://www.tsj.gov.ve/gaceta/febrero/280201/280201-37148-07.html}, 
+crea mecanismos para que la firma electrónica tenga la misma eficacia y valor 
 probatorio de la firma autógrafa mediante el uso de certificados electrónicos de
 la Infraestructura Nacional de Certificación Electrónica. El concepto de
@@ -165,32 +190,42 @@
 Una característica de los certificados electrónicos es que pueden 
 ser emitidos tanto para individuos como para dispositivos de red. Uno de los usos 
-más populares de los certificados es la validación de dominios en la Internet, 
-por ejemplo: \textit{www.gobiernoenlinea.gob.ve}.
+más populares de los certificados es la validación de nombres de dominio en la
+Internet, por ejemplo: \textit{www.gobiernoenlinea.gob.ve}.
 Esto es considerado como una defensa contra acciones de 
 falsificación que buscan tomar datos de los usuarios de estos sitios de manera 
-masiva y que generalmente se coordinan como parte de ataques como el \textit{phishing}.
+masiva y que generalmente se coordinan como parte de ataques
+tales como el denominado \textit{phishing}.
 En este tipo de ataque se suplanta la identidad de servidores en la Internet y se 
-obtiene información como datos personales, números de tarjetas de crédito, contraseñas
+obtiene información como datos personales, números de
+tarjetas de crédito, contraseñas
 de acceso y otros tipos de información sin el consentimiento del usuario.
 
-Una de las herramientas comunes para navegar en la Internet son los navegadores web. 
+Una de las herramientas comunes para acceder a los sistemas publicados en
+la Internet son los navegadores web. 
 Tanto en computadores de escritorio como en dispositivos móviles, los navegadores 
 están preparados para identificar los servidores que alojan una página web 
 particular en el caso que se esté usando un certificado electrónico. Con 
-el uso del certificado se intercambia información de manera segura con sus visitantes y además 
-se garantiza que se están comunicando con el servidor correcto y no uno fraudulento.
+el uso del certificado se intercambia información de manera segura
+con sus visitantes y además 
+se garantiza que se están comunicando con el servidor
+correcto y no uno fraudulento.
 
 El proceso de intercambio de información entre un usuario y un servidor a través
 de las páginas web sigue un conjunto de reglas y formatos que se especifican en
 protocolos de transferencia. El protocolo de transferencia de hipertexto (HTTP
-por sus siglas en inglés) se puede utilizar con los protocolos SSL/TLS para
-formar el protocolo HTTPS que permite la comunicación cifrada entre un usuario y
-un servidor. Los sitios web de la Internet que utilizan el protocolo HTTP con
-certificados electrónicos tienen como prefijo \textit{https://}.
-
-
-En la figura \ref{fig:sistemaBancoDeVenezuela} se muestra una captura de pantalla del
-sistema de banca en línea de un banco de la República Bolivariana de Venezuela que 
-utiliza un certificado electrónico.
+por sus siglas en inglés) se puede utilizar junto a con los protocolos
+para capa de sócate seguro o seguridad para capa de transporte,
+conocidos como SSL/TLS por sus siglas en inglés, para
+formar el protocolo HTTPS que permite realizar comunicación cifrada
+entre un usuario y
+un servidor. Las direcciones de sitios web de la Internet que utilizan
+el protocolo HTTP con certificados electrónicos tienen como
+prefijo \textit{https://}.
+
+
+En la figura \ref{fig:sistemaBancoDeVenezuela} se muestra una captura
+de pantalla del
+sistema de banca en línea de un banco de la República Bolivariana de Venezuela
+que utiliza un certificado electrónico.
 
 \begin{figure} [h]
@@ -203,15 +238,20 @@
 
 
-Los navegadores web mantienen un almacén de certificados de autoridades de
-certificación
-en las que confían para la emisión de certificados electrónicos. En el caso de la figura 
-\ref{fig:sistemaBancoDeVenezuela}, el navegador muestra un indicador de color verde sobre
-la barra de dirección para mostrar al usuario que el certificado electrónico presentado
-es reconocido como válido por estas autoridades. En el caso de que un usuario esté conectado a una página web 
-con un certificado electrónico que el navegador no reconoce, éste último mostrará un 
+Los navegadores web mantienen un almacén de certificados
+de autoridades de certificación
+en las que confían para la emisión de certificados electrónicos. En el
+caso de la figura \ref{fig:sistemaBancoDeVenezuela}, el navegador muestra
+un indicador de color verde sobre
+la barra de dirección para mostrar al usuario que el
+certificado electrónico presentado
+es reconocido como válido por estas autoridades. En el caso de que
+un usuario esté conectado a una página web 
+con un certificado electrónico que el navegador no reconoce,
+éste último mostrará un 
 mensaje que alerta al usuario de una posible comunicación con un sitio no 
 confiable. El indicador puede variar de un navegador a otro pero mantiene
 su función de alertar al usuario.
 
+\begin{comment}
 % Como resultado de ataques a portales web y algunas fallas de seguridad en la 
 % implementación de protocolos, servicios masivos de la Internet como correo electrónico y
@@ -219,12 +259,16 @@
 % de los servidores con los que se comunican los usuarios e intercambiar la 
 % información cifrada.
-
-
-
-
+\end{comment}
+
+
+
+\begin{comment}
 %Aunque un certificado electrónico no es un documento físico, sí es posible ver su contenido.
-
-Un certificado electrónico está compuesto por un conjunto de campos definidos por el 
-estándar X.509 versión 3\footnote{http://www.ietf.org/rfc/rfc3280.txt}, algunos
+\end{comment}
+
+Un certificado electrónico está compuesto por un conjunto de campos de datos
+definidos por el 
+estándar de internet X.509 versión
+3\footnote{http://www.ietf.org/rfc/rfc3280.txt}, algunos
 campos son obligatorios y otros son extensiones 
 que pueden o no aparecer en un certificado particular. A continuación se listan 
@@ -232,30 +276,40 @@
 
 \begin{itemize}
-\item Versión: Describe la versión del certificado codificado. La versión actual es la 3.
-
-\item Número de serie: Es un identificador único para el certificado electrónico emitido por 
+\item Versión: Describe la versión del certificado codificado.
+La versión actual es la 3.
+
+\item Número de serie: Es un identificador único para el
+certificado electrónico emitido por 
 una autoridad de certificación.
 
-\item Algoritmo de firma: Identificación del algoritmo criptográfico utilizado por la
+\item Algoritmo de firma: Identificación del algoritmo criptográfico
+utilizado por la
 autoridad de certificación para firmar el certificado.
 
-\item Emisor: Identificación de la autoridad de certificación que emitió el certificado electrónico.
-
-\item Validez: Intervalo de tiempo durante el cual la autoridad de certificación mantiene información
-sobre el estado del certificado. El período de validez está representado por dos fechas: una fecha
-a partir de la cual la validez del certificado comienza y otra en la que termina. La validez de un
-certificado electrónico está definida en la documentación de políticas de certificado de una autoridad
+\item Emisor: Identificación de la autoridad de certificación
+que emitió el certificado electrónico.
+
+\item Validez: Intervalo de tiempo durante el cual la autoridad de
+certificación mantiene información
+sobre el estado del certificado. El período de validez está
+representado por dos fechas: una fecha
+a partir de la cual la validez del certificado comienza y otra
+en la que termina. La validez de un
+certificado electrónico está definida en la documentación de políticas
+de certificado de una autoridad
 de certificación.
 
 \item Sujeto: Nombre del titular del certificado electrónico. Los campos 
-sujeto y emisor de un certificado electrónico están definidos utilizando convenciones
+sujeto y emisor de un certificado electrónico están
+definidos utilizando convenciones
 que se definen en el estándar X.500. Esto permite establecer un nombre único 
-mediante la definición de un concepto conocido como un nombre distinguido \cite{NASH:02}.
+mediante la definición de un concepto conocido como \textit{nombre distinguido} \cite{NASH:02}.
 En general un nombre distinguido incluye los siguientes valores:
 
 \begin{itemize}
-\item CN: Nombre Común del titular. En general se utiliza el nombre y apellido de la persona titular
-del certificado o nombre del servidor en caso de ser un certificado electrónico para 
-un dispositivo.
+\item CN: Nombre Común del titular. Normalmente se utiliza el nombre
+y apellido de la persona titular
+del certificado o nombre de dominio asociado al sistema informático en
+caso de ser un certificado electrónico para dispositivos.
 \item E: Correo electrónico del titular.
 \item L: Localidad donde reside el titular.
@@ -267,7 +321,6 @@
 
 
-\item Información de clave pública del sujeto: tiene la clave pública del
-sujeto e
-identifica el algoritmo con el cual se utiliza la clave.
+\item Información de clave pública del sujeto: tiene la clave pública
+del sujeto e identifica el algoritmo con el cual se utiliza la clave.
 
 %\item Identificador único de emisor: 
@@ -275,6 +328,6 @@
 %\item Identificador único de sujeto
 
-\item Extensiones: Secuencia de una o más extensiones que sirven para asociar atributos
-adicionales del sujeto.
+\item Extensiones: Secuencia de una o más extensiones que sirven
+para asociar atributos adicionales del sujeto.
 
 \item Firma electrónica del certificado: Representación de la firma electrónica de
@@ -286,7 +339,7 @@
 
 
-En la figura \ref{fig:camposDeUnCertificado} se muestran los detalles de los campos
-de un certificado electrónico de la Infraestructura Nacional de Certificación Electrónica
-visto en un navegador web.
+En la figura \ref{fig:camposDeUnCertificado} se muestran los detalles
+de los campos de un certificado electrónico de la Infraestructura
+Nacional de Certificación Electrónica visto en un navegador web.
 
 \begin{figure} [h]
@@ -300,10 +353,11 @@
 
 
-Una forma de distribuir los certificados electrónicos es a través de dispositivos
-de usuario, como por ejemplo tarjetas inteligentes, que permiten proteger los
-elementos del certificado; en particular la 
-clave privada. En la sección \ref{subsubsection:dispositivosDeUsuario}
-se presentan algunos dispositivos como tarjetas inteligentes y token criptográficos 
-utilizados con certificados electrónicos.
+Una forma de distribuir los certificados electrónicos es a
+través de dispositivos de usuario, como por ejemplo tarjetas
+inteligentes, que permiten proteger los elementos del certificado; en
+particular la clave privada. En la sección
+\ref{subsubsection:dispositivosDeUsuario}
+se presentan algunos dispositivos como tarjetas inteligentes y fichas
+criptográficas utilizadas con certificados electrónicos.
 
 %En el capítulo \ref{capitulo5} se presenta un aporte específico de la Fundación CENDITEL 