Index: maquetacion/capitulo1/conceptosBasicos.tex
===================================================================
--- maquetacion/capitulo1/conceptosBasicos.tex	(revision d8108d6292ac58b58a671d3d1c7bdf950e2af711)
+++ maquetacion/capitulo1/conceptosBasicos.tex	(revision da827d62a2c28c2eecd74ecbcfab525f954d4bcc)
@@ -73,5 +73,5 @@
 \begin{center}
 \begin{figure}[h]
-\includegraphics[scale=0.8]{imagenes/seudonimato.JPEG}
+\includegraphics[scale=0.3]{./imagenes/seudonimato.png}
 \caption{Seudonimato}
 \label{seudonimato}
@@ -103,5 +103,5 @@
 \begin{center}
 \begin{figure}[h]
-\includegraphics[scale=0.8]{imagenes/seudonimatoAnonimato.JPEG}
+\includegraphics[scale=0.3]{./imagenes/seudonimato-anonimato.png}
 \caption{Seudonimato con respecto al Anonimato}
 \label{seudonimato-anonimato}
@@ -135,5 +135,5 @@
 \begin{center}
 \begin{figure}[h]
-\includegraphics[scale=0.8]{./imagenes/conjuntosNoObservables.JPEG}
+\includegraphics[scale=0.3]{./imagenes/conjuntos_no_observables.png}
 \caption{Conjuntos No Observables}
 \label{conjuntos_no_observables}
Index: maquetacion/capitulo3/capitulo3.tex
===================================================================
--- maquetacion/capitulo3/capitulo3.tex	(revision d8108d6292ac58b58a671d3d1c7bdf950e2af711)
+++ maquetacion/capitulo3/capitulo3.tex	(revision 6a2d170081fdabc63cea01e7d42f34d36a202920)
@@ -48,6 +48,5 @@
 \begin{figure}[h]
 \begin{center}
-%\includegraphics[scale=0.3]{./img/cap3_img2.png}
-\includegraphics[scale=0.7]{./img/configuracionSistemaGeneral.JPEG}
+\includegraphics[scale=0.3]{./img/cap3_img2.png}
 \caption{Configuración del Sistema General}
 \label{figura1}
@@ -70,6 +69,5 @@
 \begin{figure}[h]
 \begin{center}
-%\includegraphics[scale=0.3]{./img/cap3_img1.png}
-\includegraphics[scale=0.8]{./img/conjuntosAnonimos}
+\includegraphics[scale=0.3]{./img/cap3_img1.png}
 \caption{Conjuntos Anónimos}
 \label{figura2}
Index: maquetacion/capitulo5/capitulo5.tex
===================================================================
--- maquetacion/capitulo5/capitulo5.tex	(revision d8108d6292ac58b58a671d3d1c7bdf950e2af711)
+++ maquetacion/capitulo5/capitulo5.tex	(revision 36ca88ded86dc7b4f5226762dda62025e721a639)
@@ -253,6 +253,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/estandarX509.png}
-\includegraphics[width=8cm]{imagenes/estandarX509.JPEG}
+\includegraphics[width=8cm]{imagenes/estandarX509.png}
 \caption{Especificación del estandar X.509}
 \label{fig:estandarx509}
@@ -403,6 +402,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/jerarquia.png}
-\includegraphics[width=8cm]{imagenes/jerarquia.JPEG}
+\includegraphics[width=8cm]{imagenes/jerarquia.png}
 \caption{Modelo jerárquico de una ICP}
 \label{fig:jerarquia}
@@ -483,6 +481,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/casodeusogeneral.png}
-\includegraphics[width=8cm]{imagenes/casodeUsoGeneral.JPEG}
+\includegraphics[width=8cm]{imagenes/casodeusogeneral.png}
 \caption{Caso de uso principal}
 \label{fig:casodeusoprincipal}
@@ -499,6 +496,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/casodeusoac.png}
-\includegraphics[width=8cm]{imagenes/casodeUsoAc.JPEG}
+\includegraphics[width=8cm]{imagenes/casodeusoac.png}
 \caption{Caso de uso para el actor Administrador Autoridad de Certificación}
 \label{fig:casodeusoac}
@@ -515,6 +511,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/diagramadeclases.png}
-\includegraphics[width=8cm]{imagenes/diagramadeClases.JPEG}
+\includegraphics[width=8cm]{imagenes/diagramadeclases.png}
 \caption{Diagrama de clases}
 \label{fig:diagramadeclases}
@@ -536,6 +531,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/diagramaactividades.png}
-\includegraphics[width=8cm]{imagenes/diagramadeActividades.JPEG}
+\includegraphics[width=8cm]{imagenes/diagramaactividades.png}
 \caption{Diagrama de actividades para el caso de uso ``Emisión de Cerificados``}
 \label{fig:diagramaactividades}
@@ -594,6 +588,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/registro.png}
-\includegraphics[width=8cm]{imagenes/registro.JPEG}
+\includegraphics[width=8cm]{imagenes/registro.png}
 \caption{Sistema de registro de acciones}
 \label{fig:registro}
@@ -685,6 +678,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/arquitecturapsc.png}
-\includegraphics[width=8cm]{imagenes/arquitectura.JPEG}
+\includegraphics[width=8cm]{imagenes/arquitecturapsc.png}
 \caption{Configuración de los componentes del nodo raíz de una ICP}
 \label{fig:arquitecturapsc}
Index: maquetacion/capitulo6/capitulo6.tex
===================================================================
--- maquetacion/capitulo6/capitulo6.tex	(revision d8108d6292ac58b58a671d3d1c7bdf950e2af711)
+++ maquetacion/capitulo6/capitulo6.tex	(revision 36ca88ded86dc7b4f5226762dda62025e721a639)
@@ -244,6 +244,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/uml.png}
-\includegraphics[width=8cm]{imagenes/uml.jpeg}
+\includegraphics[width=8cm]{imagenes/uml.png}
 \caption{Diagrama UML de acoplamiento}
 \label{fig:uml}
@@ -274,6 +273,5 @@
 \begin{figure}[htb]
 \centering
-%\includegraphics[width=8cm]{imagenes/flujoComponenteFE.jpg}
-\includegraphics[width=8cm]{imagenes/flujoComponente.jpeg}
+\includegraphics[width=8cm]{imagenes/flujoComponenteFE.jpg}
 \caption{Diagrama de flujo para el acoplamiento del ComponenteFEA}
 \label{fig:acoplamiento}
@@ -384,5 +382,5 @@
 \begin{figure}[htb]
 \centering
-\includegraphics[width=8cm]{imagenes/openerp.jpeg}
+\includegraphics[width=8cm]{imagenes/openerp.png}
 \caption{Interfaz de usuario OpenERP para el ComponenteFEA}
 \label{fig:openerp}