Index: quetacion/capitulo1/capitulo1.tex.bak
===================================================================
--- maquetacion/capitulo1/capitulo1.tex.bak	(revision d51b22c330a0245a732839def951c8505da86266)
+++ 	(revision )
@@ -1,61 +1,0 @@
-\chapter{Bases de la identidad digital}
-\chapterauthors{A. Araujo, V. Bravo y R. Sumoza
-\chapteraffil{Fundación Centro Nacional de Desarrollo e Investigación en Tecnologías Libres}
-}
-
-
-
-% Se crea un ambiente bibunit para el cual se creará la bibliografía
-\begin{bibunit}[unsrt]
-
-%\section{Conceptos básicos}
-\import{./}{conceptosBasicos}
-%test
-
-%\section{Implicaciones}
-\import{./}{implicaciones}
-%test
-\import{./}{implicacionesEconomicas}
-
-\import{./}{implicacionesTecnicas}
-
-\import{./}{registroDelComportamiento}
-
-
-%\section{Identificación, autenticación}
-\import{./}{identificacionAutenticacion}
-%test
-
-
-%\subsection{Técnicas de identificación y autenticación}
-\import{./}{tecnicasDeIdentificacionYAutenticacion}
-%test
-
-%\subsubsection{Contraseñas}
-\import{./}{contrasenas}
-
-%test
-
-%\subsubsection{Certificados electrónicos}
-\import{./}{certificadosElectronicos}
-\label{subsubsection:certificadosElectronicos}
-%test
-
-%\subsubsection{Firmas electrónicas}
-\import{./}{firmasElectronicas}
-\label{subsubsection:firmasElectronicas}
-
-%test
-
-%\subsubsection{Dispositivos de usuario}
-\import{./}{dispositivosDeUsuario}
-
-
-En \cite{TONITO:14} ...
-
-% el siguiente comando establece la ubicación de las referencias
-\putbib[bibliografia]
-
-% el siguiente comando cierra el ambiente bibunit para la cual se generan las
-% referencias.
-\end{bibunit}
Index: quetacion/capitulo1/conceptosBasicos.tex.bak
===================================================================
--- maquetacion/capitulo1/conceptosBasicos.tex.bak	(revision d51b22c330a0245a732839def951c8505da86266)
+++ 	(revision )
@@ -1,149 +1,0 @@
-\section{Conceptos b\'asicos}
-
-\subsection{Identidad Digital-ID}
-\begin{enumerate}
-\item Es el conjunto de datos que describen y representan a un sujeto: persona, grupo de personas o cosas de manera única. Puede contener información sobre gustos, creencias, relaciones, tendencias, ideologías, y cualquier otro descriptor vinculado al sujeto. 
-\item Es la suma de toda la información disponible en formato digital de un sujeto (persona, grupo de personas, cosas).
-\item Puede ser explicada como una percepción única o exclusiva de vida, con su integración a un grupo social, y con continuidad, la cual está acotada y formada por una sociedad. La identidad puede estar ligada a cualquier sujeto, ya sean seres humanos, personas jurídicas,y dispositivos electrónicos.
-\item La identidad es un conjunto de atributos pertenecientes a un individuo que permiten diferenciarlo del resto de individuos que forman parte de un conjunto determinado. Por esta razón no existe una identidad única y universal, sino que pueden existir varias para un mismo individuo, según el conjunto y contexto al que se haga referencia. Incluso los valores de los atributos y los atributos mismos pueden cambiar en el tiempo.
-\item La identidad digital denota la atribución de propiedades a una persona,los cuales son, desde el punto de vista técnico, operacionalmente accesible de forma inmediata, por su característica digital. El identificador de una identidad parcial digital puede ser una dirección de correo electrónico en un grupo de noticias o en una lista de correos.
-\end{enumerate}
-
-\subsubsection{Identidad Parcial}
-La identidad de cada persona está compuesta por muchas identidades parciales, las cuales representan a la persona en un contexto o rol específico. De esta forma, una identidad parcial es un subconjunto de atributos del conjunto que compone la identidad completa, formada por la unión de todos los atributos de esta persona. Desde un punto de vista técnico, estos atributos constituyen datos. Como se mencionó anteriormente estos atributos y los valores de la identidad parcial pueden variar en el tiempo. Un seudónimo puede considerarse como una identidad parcial. A pesar de que una identidad parcial no permite caracterizar a un individuo de forma única dentro de un conjunto específico, si puede, según la cantidad de atributos contenidos en el subconjunto, hacer posible tener varios contextos de aplicación del anonimato.
-
-\subsubsection{Identidad Virtual}
-Algunas veces se utiliza como sinónimo de identidad digital, pero dada su connotación de no-real, aparente y no-existente, este término es utilizado principalmente en ambientes multi-usuarios, o multi-jugadores masivos, es decir, en entornos de juegos virtuales. 
-
-\subsubsection{Sociedad Digital}
-Es concepto moderno de sociedad progresiva que se forma como resultado de la adopción e integración de las TIC en ámbitos de hogar, de trabajo, de educación, de recreación. Las personas interactúan a través de diversos tipos de actividades, como el pago de los diversos servicios públicos, la gestión de sus cuentas, el pago de los impuestos, el acceso a información de su interés, el registro de empresas, obtención de tarjetas de identificación, autenticación, transacciones financieras, registros médicos, situación laboral, revisión de oportunidades de empleo, etc. 
-
-\subsubsection{Rol} 
-Desde el punto de vista de la sociología un rol o rol social constituye un conjunto de acciones conectadas o relacionadas, conceptualizadas por los actores en una situación social. Es frecuente definirlo como un comportamiento esperado en un contexto individual social dado.
-
-\subsubsection{Manejo de la ID}
-Con estas definiciones de identidad digital se logra distinguir entre dos instancias de los sujetos, la primera que les permite definirse asimismo (auto-definición interior y personal), y la segunda que los define en un contexto social con sus respectivos atributos, y que se mantiene para darles la posibilidad del acceso a la comunicación y que los ata de cierta manera a un control y un grado de consistencia con respecto al resto. La identificabilidad es el estado de ser identificable dentro de una conjunto de sujetos, que es el conjunto identificable.
-
-El manejo de la ID implica la gestión de varias identidades parciales (usualmente denotadas por seudónimos) de un individuo. El establecimiento de la reputación es posible o cuando un individuo re-utiliza las identidades parciales. Un pre-requisito para la selección de una identidad parcial es el de conocer el contexto en el que la persona está actuando.
-
-\paragraph{Sistema de manejo de la identidad}
-La tecnología basada en el manejo de la identidad en su esencia más amplia,  se refiere a la administración y diseño de los atributos de las identidades. Se puede distinguir entre un sistema de manejo de identidad y una aplicación para el manejo de la identidad: La primera puede ser entendida como una infraestructura, y la segunda como un conjunto de componentes coordinados entre sí. Las aplicaciones para el manejo de la identidad son herramientas para manejar individualmente sus comunicaciones
-relevantes, las cuales pueden ser configuradas y operadas en el lado de los usuarios o en el lado de los servidores. El manejo de la identidad, soportado técnicamente, tiene que autorizar a los usuarios para reconocer diferentes tipos de comunicaciones o situaciones
-sociales, y acceder a ellas con respecto a su relevancia, funcionalidad y al nivel de riesgo de la privacidad y seguridad en función de hacer y asumir roles de forma adecuada. En general, las aplicaciones para el manejo de la identidad, específicamente en cuanto al manejo
-de las identidades parciales, representan los diferentes seudónimos con su respectivos datos de acuerdo a los diferentes roles que el usuario ha asumido y de acuerdo a los diferentes patrones de comunicación. En los casos donde se hace explícito el flujo de los datos personales, donde se le permite al usuario tener un mayor grado de control, la guía principal es la de “reconocer y escoger” su propia identidad, y se procura minimizar la cantidad de los datos utilizados. Esto significa que el usuario controla la relacionabilidad de sus datos personales. De acuerdo a una situación y contexto específico, tal sistema le da soporte al usuario en la selección de seudónimos que representen a sus identidades parciales.
-
-\subsection{Protección de la ID}
-\subsubsection{Privacidad vinculada a la ID}
-
-\paragraph{Anonimato} \hfill\\
-Un sujeto es anónimo cuando no puede ser identificado dentro de un conjunto de sujetos, denominado el conjunto anónimo. Este conjunto está conformado por todos los posibles sujetos que pueden causar (o estar relacionados con) una acción. No ser identificado significa que ese sujeto no puede ser caracterizado de forma única o particular dentro de ese conjunto. Un sujeto actúa anónimamente cuando, desde el punto de vista del adversario, su acción no puede relacionarse con su identidad, dado que hay un conjunto de sujetos que podrían ser los causantes potenciales de la acción (y el adversario no puede distinguir a su verdadero causante). El anonimato debe permitirle a un sujeto utilizar un recurso o servicio sin revelar su identidad, esto implica que el anonimato por si mismo no procura proteger la identidad de un usuario en un ámbito general, lo que pretende es evitar que otros usuarios o sujetos no puedan determinar la identidad de un usuario cuando éste genera una acción u operación en particular.
-
-\paragraph{Seudonimato} \hfill\\
-Tal como se expresa en [53], los seudónimos son identificadores (nombres u otras cadenas de bits) de sujetos. Para el caso que se está tratando, son los identificadores de los emisores y receptores de mensajes. La palabra seudónimo proviene del griego (“pseudonumon”) la cual significa “nombre falso”, es decir, un nombre distinto al “nombre real”. Sin embargo, como el “nombre real” tiene también un origen arbitrario, el nombre de seudónimo puede ser extendido a todos los identificadores o cualquier otra cadena de bits que identifique a un sujeto. Es posible que en algunos casos convenga agrupar los nombre reales en un conjunto distinto al de los “nombres falsos” (no considerados reales), pero en otros casos un “nombre real” puede ser considerado como un seudónimo que resulta de un selección inicial, para la identificación de un sujeto. Incluso, en gran parte de la literatura excluyen la fracción que le da el nombre de “falso” (“pseudo”), y sólo utilizan, para referirse a nombres de seudónimos, la palabra nyms. Desde un punto de vista más básico (fundamental), un seudónimo puede ser considerado como un tipo de atributo del sujeto, que puede ser controlado por el diseñador de sistemas o por
-el mismo usuario.
-
-Se pueden generalizar los seudónimos como identificadores de conjuntos de sujetos, pero en todos los casos que se tratan en este trabajo se refiere a un sólo sujeto, el cual representa el contenedor de ese seudónimo. En las configuraciones tradicionales se asume que cada seudónimo se refiere a un solo contenedor, invariante sobre el tiempo, el cual no puede ser transferido a otros contenedores. Solamente tipos especiales de seudónimos pueden ser extendidos y transferidos a otros contenedores, por ejemplo, un seudónimo de grupo se refiere a un conjunto de contenedores, y un seudónimo transferible puede ser transferido de un contenedor a otro. Utilizando la noción de seudónimo de grupo, se podría inducir el conjunto anónimo: Utilizando la información provista por el seudónimo solamente, un atacante no podría decidir si una acción fue ejecutada por una persona específica dentro del conjunto.
-
-En resumen, utilizando un criterio formal, un seudónimo se puede considerar como el estado de utilizar un “nombre falso” como identificación (ID), y seudonimato se puede definir como el proceso donde se utilizan los seudónimos como identificadores. En el contexto de este trabajo, el seudonimato tiene como uno de sus principales objetivos el permitirle a un usuario utilizar un recurso o servicio sin tener que revelar su verdadera identidad, y sin quitarle la responsabilidad sobre el uso del mismo.
-
-Es evidente, por definición, que el anonimato y la responsabilidad son extremos opuestos con respectos a la relacionabilidad de los sujetos, sin embargo, a través del uso del seudonimato se procura establecer un punto intermedio para cumplir con ambas partes: Responsabilizar a los usuarios (sujetos) de sus acciones y evitar que se revele su identidad. Incluso utilizando el mismo
-seudónimo, le puede permitir al sujeto tener cierto nivel de reputación (esto suponiendo que existen los mecanismos adecuados para poder autenticar los mensajes enviados por el contenedor del seudónimo). Además, existen configuraciones de sistemas anónimos que permiten evitar el abuso en su utilización, pudiendo revelarse, en ciertos casos, la identidad del usuario que haya incurrido en cualquier tipo de acciones no permitidas (esto en el supuesto que sólo determinadas autoridades certificadas pueden revelar esta identidad).
-
-El seudonimato del emisor se define como el uso de seudónimos por parte del emisor, y el seudonimato del receptor se define como el uso de seudónimos del receptor. En la figura 2.4 se representa esta noción de seudonimato (extraida de [53]).
-
-Cuando se utilizan “nombres falsos” como etiquetas que identifican a un sujeto, es conveniente considerar cómo se trata o maneja la responsabilidad y la autorización. Es decir, los seudónimos digitales pueden ser utilizados para autenticar los mensajes, ya que un seudónimo digital es una cadena de bits que dentro de este contexto es un único ID del sujeto, el cual puede ser utilizado para autenticar el IDI del contenedor relativo a su seudónimo, esto implica que la responsabilidad puede ser manejada a través del uso de seudónimos. Sin embargo, puede no ser suficiente para alcanzar este tipo de gestión de la responsabilidad, por tal motivo en algunos casos prácticos, es necesario acompañar al seudónimo con otro tipo de pruebas de validez (tales como firmas digitales), y/o utilizar terceras partes (autoridades de certificación digital) que le den validez a los seudónimos.
-
-Figura 2.4: Pseudonimato.
-
-Se pueden considerar las siguientes definiciones del seudonimato con respecto al anonimato:
-
-\begin{description}
-\item[Seudónimo público:] La relación entre un seudónimo y su contenedor puede ser de conocimiento público, por ejemplo podría estar en una lista o directorio público.
-\item[Seudónimo no público:]  La relación inicial del seudónimo y su contenedor puede ser conocida por ciertas partes (entidades de control o administración centralizada o descentralizada), pero no son del conocimiento público.
-\item[Seudónimo no relacionado inicialmente:] La relación inicial entre un seudónimo y su contenedor es, al menos en el inicio, desconocida para cualquiera, con la posible excepción del contenedor mismo.
-\end{description}
- 
-Los seudónimos públicos y los seudónimos no relacionados inicialmente son los extremos que pudiesen ser análogos con la responsabilidad y el anonimato mencionados anteriormente, es decir, el anonimato es más fuerte mientras menos se relacione al contenedor con su seudónimo, decrece en caso contrario. Esto quiere decir, que el nivel de anonimato dependerá de la relación relativa que el atacante le de al seudónimo con respecto a su contenedor.
-
-También se pueden considerar varios tipos de seudónimos con respecto a la relacionabilidad:
-
-\begin{description}
-\item[Seudónimo personal:] Es un subtítulo para el nombre del contenedor el cual está relacionado con su identidad civil. Este puede ser utilizado en todos los contextos, por ejemplo, el número de su tarjeta de identificación (número de pasaporte).
-\item[Seudónimo por rol:] Está limitado a roles específicos, es decir, su asignación está relacionada a los roles que desempeña el contenedor. Por ejemplo, los seudónimos que comúnmente se utilizan bajo el rol de “usuario de Internet” comúnmente son denominados “nombre de usuarios”.
-\item[Seudónimo por relación:]  Diferentes seudónimos pueden ser utilizados para establecer las asociaciones en pares dependiendo de los pares conformados para las comunicaciones.
-\item[Seudónimo por relación y por rol:]  Son seudónimos asignados se\-gún el rol que desempeña cada par que se comunica. Es decir, que un mismo contenedor puede utilizar varios seudónimos, dependiendo del rol que desempeñe tanto él como su homólogo en la comunicación.
-\item[Seudónimo por transacción:] Un mismo contenedor podría tener un seudónimo por cada transacción que realice.
-\end{description}
-
-El nivel de anonimato en relación al tipo de estrategia de utilización de seudónimos se representa en la figura 2.5.
-
-Figura 2.5: Anonimato respecto al Seudonimato.
-
-En general, el anonimato del seudónimo por rol, y del seudónimo por relación es más fuerte que el anonimato debido al uso de seudónimos personales. La fortaleza del anonimato se incrementa con la aplicación de seu\-dó\-ni\-mos por rol y relación. El ultimo nivel de fortaleza se consigue utilizando los seudónimos por transacción dado que no existe información sobre la relación entre cada una de las transacciones. En ocasiones, se utiliza el nombre de seu\-dó\-ni\-mo de un solo uso para denotar los seudónimos por transacción. La fortaleza del anonimato antes mencionada se refiere a que desde un punto de partida se define que el mayor nivel (fortaleza) de anonimato se logra cuando no se proporciona información sobre la identidad en absoluto. En otras palabras, el anonimato es más fuerte mientras menos datos personales del contenedor puedan ser relacionados al seudónimo, y mientras los seudónimos sean utilizados con menor frecuencia (estos es cuando un mismo contenedor utiliza un mayor número de seudónimos).
-
-Un seudónimo digital se puede conformar con el uso de algún mecanismo de clave pública utilizado para probar las firmas digitales, donde los contenedores del seudónimo pueden probar que son los verdaderos “dueños” del seudónimo solamente cons\-tru\-yen\-do una firma digital creada con su clave privada. En la mayoría de los casos los seudónimos digitales son las mismas claves públicas generadas por los propios usuarios.
-
-Un certificado de clave pública contiene una firma digital de una determinada autoridad certificadora que provee algún tipo de seguridad cuando un mismo sujeto utiliza la clave pública para otro de sus seudónimos. En el caso de que el seudónimo provenga del nombre real de un sujeto, se le llama certificado de identidad. Un certificado de atributo es un certificado digital que contiene más cantidad de información (atributos) y claramente se refiere a un certificado específico de clave pública. Independientemente de los certificados, los atributos también pueden ser utilizados como identificadores de conjuntos de sujetos, no sólo de sujetos particulares.
-
-Además pueden existir algunas propiedades de los seudónimos que son utilizadas por aplicaciones específicas, por ejemplo la dirección de un seudónimo puede funcionar como la dirección de la comunicación, o pueden ser utilizadas en la participación de terceras partes (en los casos de abuso antes mencionado).
-
-\paragraph{No relacionabilidad}\hfill\\
-En el estudio de los sistemas anónimos, la no relacionabilidad sólo tiene sentido práctico si previamente se han definido las propiedades del anonimato, seudonimato y no-observabilidad de dichos sistemas, y se han caracterizado las entidades o ítems de interés que se desean relacionar (por parte del atacante). En [53] se menciona que las entidades o ítems de interés (IDI) son sujetos, mensajes, eventos, acciones, etc. La relacionabilidad se considera a la información que se tiene sobre la relación real que existe entre los IDIs, es decir, que en todos los casos reales existirá cierta relación entre los IDIs y la relacionabilidad es la información respecto a ésta. Por ende, la no relacionabilidad, desde la perspectiva del adversario, significa que la información obtenida después de un ataque es la misma información que se tenía antes del mismo, es decir, los IDIs no están ni más ni menos relacionados comparando el periodo anterior y posterior al ataque. Desde la perspectiva probabilística, la no relacionabilidad significa que la probabilidad de que dos o más ítems de interés están relacionados (desde la perspectiva del atacante) es la misma antes y después del ataque.
-
-La no relacionabilidad debe implicar que el usuario puede hacer múltiples usos de un recurso o servicio sin que esto conlleve a que el adversario pueda establecer una relación entre estos usos, es decir, requiere que los usuarios y/o los sujetos no tengan la disponibilidad de determinar que cierto usuario fue el causante de cierta acción en el sistema.
-
-Si se considera que el envío y recepción de mensajes son los IDIs, el anonimato puede ser definido como la no relacionabilidad de un IDI con cualquier identificador de un sujeto (en este caso un emisor o un receptor). Específicamente, el anonimato de un IDI es la no relación con cualquier sujeto y el anonimato de un sujeto es su no relación con cualquier IDI. De esta manera se puede considerar anonimato del emisor como las propiedades que hacen que un emisor no pueda ser relacionado a cualquier mensaje, y que un mensaje no pueda ser relacionado a un emisor.
-
-De igual forma, el anonimato del receptor significa que un mensaje no puede ser relacionado a cualquier receptor, y un receptor no puede ser relacionado a cualquier mensaje. La relación de anonimato es la imposibilidad de determinar quién se comunica con quién, es decir, el emisor y el receptor son no relacionables.
-
-La no relacionabilidad es una condición suficiente para el anonimato, pero no es una condición necesaria. Incluso en algunos casos se puede considerar que aún fallando la propiedad de la no relacionabilidad se puede conseguir un nivel de anonimato alto. Esto si se hace referencia a la definición estricta del anonimato: no poder ser identificado dentro de un conjunto de sujetos.
-
-\paragraph{No observabilidad}\hfill\\
-En contraste con la definición de anonimato, y la de no relacionabilidad, donde se considera la protección de la relación del IDIs con respecto a los sujetos o a otros IDIs, la no observabilidad considera la protección de los IDIs en sí mismos, ya que se define como el estado de que un IDI sea indistinguible entre un conjunto de IDIs del mismo tipo (el “tipo” lo definen la características de interés en cada caso, por ejemplo, considerar la emisión de mensajes como un IDI, tiene su características propias, que hacen que se pueda diferenciar de otro tipo de IDI). Por ejemplo, se podría decir que al ser no observable, no es posible distinguir entre un mensaje y el ruido aleatorio.
-
-Semejante al caso del anonimato, también se tienen conjuntos de sujetos no observables con respecto a esta propiedad, es decir, el conjunto de emisores no observables tiene la propiedad que cada emisor no puede ser distinguido del resto, el conjunto de receptores no observables tiene la propiedad de no poderse distinguir, desde el punto de vista del atacante, a un receptor del resto de los receptores de ese conjunto. La relación de no observabilidad de esta forma significa que no es posible distinguir entre un emisor y un receptor que intercambian un mensaje, es decir, si se considera un mensaje en particular entonces el conjunto de la relación de no observabilidad está compuesto por todos los posibles pares emisor-receptor, entre los cuales no se podría diferenciar o determinar que existe una relación de envío-recepción. En la figura 2.3 se puede observar gráficamente la configuración de dichos conjuntos.
-
-Desde una perspectiva de usuario, la no observabilidad se podría definir como la propiedad de que un usuario pueda utilizar un recurso o servicio sin que otros (terceras partes) tenga la posibilidad de determinar que el recurso o servicio está siendo utilizado.
-
-Figura 2.3: Conjuntos no observables.
-
-
-\subsubsection{Certificación Electrónica} \hfill\\
-
-Uno de los mecanismos comunes para establecer identidades digitales es a través 
-de la certificación electrónica. Esta comprende la gestión de procesos en la que
-se emplean elementos como software, dispositivos y documentación de políticas 
-que permiten establecer identidad digitales a individuos o dispositivos. La 
-certificación electrónica se usa en organizaciones privados o públicas, 
-dentro de los países y hasta a nivel mundial.
-
-Los elementos que se gestionan en los procesos de la certificación electrónica 
-se describen con mayor detalle en la sección \ref{subsection:tecnicasDeVerificacionDeIdentidad}.
-En los capítulos \ref{capitulo5} y \ref{capitulo6} de la segunda parte de
-este libro, se presentan aportes concretos de la Fundación CENDITEL sobre 
-certificación electrónica.
-
-\subsubsection{Firma Electrónica}\hfill\\
-
-Similar a la firma autógrafa de un ser humano, la firma electrónica es un mecanismo 
-para establecer la voluntad de aceptación del contenido de un documento en formato
-electrónico. Se apoya en los procesos y elementos empleados en la certificación 
-electrónica para permitir que un individuo o dispositivo pueda firmar 
-electrónicamente cualquier documento, archivo o cadena de bytes.
-
-En la sección \ref{subsection:tecnicasDeVerificacionDeIdentidad} se presenta con
-mayor detalle la noción de firma electrónica y el valor agregado que se obtiene
-al emplearla en las comunicaciones electrónicas. En el capítulo \ref{capitulo6} 
-de la segunda parte de este libro, se presenta un aporte de la Fundación CENDITEL
- sobre el uso de firmas electrónicas avanzadas en la gestión de procesos de 
-negocios.
-
-
-
-\subsection{Legislación vinculada a la ID}
-
-
-
-
-
-
Index: quetacion/capitulo1/contrasenas.tex.bak
===================================================================
--- maquetacion/capitulo1/contrasenas.tex.bak	(revision d51b22c330a0245a732839def951c8505da86266)
+++ 	(revision )
@@ -1,60 +1,0 @@
-\subsubsection{Contraseñas}
-
-Una contraseña es una palabra secreta que se utiliza generalmente en combinación con  un nombre de usuario o correo electrónico para obtener acceso 
-a determinados recursos de un sistema informático. El sistema informático puede estar en la web, funcionar en un computador sin acceso a red, 
-o ser un hardware dedicado tal como un cajero automático de banco, o un mecanismo de control para el  acceso a un lugar físico. 
-
-
-Las contraseñas son quizás, el método más utilizado para identificar a personas  en el mundo digital. El acceso al correo electrónico, 
-a una sesión en una computadora, al sitio de un banco en internet, la acción para desbloquear un teléfono móvil, así como actividades  que hacemos 
-a diario con la computadora lo utilizan  como sistema primigenio y en muchas ocasiones  como único procedimiento disponible para este fin.
-
-
-En primer lugar, para construir un sistema de contraseñas se necesita un
-almacén de datos, en el cual se guarden los elementos de información vinculados
-con la clave, y que pueden representar   el ámbito de operación de un usuario
-dentro de un sistema informático, lo cual incluye esquemas de autorización para
-operar sobre objetos o acciones.
-
-Generalmente los almacenes de datos para los esquemas de contraseñas se
-construyen  usando archivos de texto (por ejemplo el usado por los sistemas Linux o Unix que es un  archivo \textit{/etc/passwd} o \textit{/etc/shadow}),  o también es muy frecuente utilizar un conjunto de relaciones u objetos en una base de datos.
-
-Algunas de las reglas básicas para almacenar contraseñas se muestran a continuación:
-
-\begin{itemize}
-\item Utilizar un nivel alto de seguridad para el resguardo de la base de datos acorde con las reglas generales de administración de  servidores, sistemas de  cómputo embebido o cualquier otro tipo de sistema donde resida el almacén de datos.
-\item No guardar las contraseñas en texto plano, en cambio utilizar algoritmos (con la suficiente fortaleza a ataques) de una sola vía para transformar las claves que ingrese el usuario
-\item Implementar políticas y protocolos de creación y asignación de claves tales como: vinculación a dos o más correo electrónico; prueba de fortaleza de contraseñas; monitorear los  accesos de los usuarios por lugar, frecuencia; operaciones entre otras.
-\item Realizar auditorias periódicas a todo el proceso de gestión de claves.
-\end{itemize}
-
-Uno de los objetivos que debe tener cualquier sistema de protección es proveer al usuario de  instrumentos para mejorar su interacción  con los sistemas informáticos, descargándolo de tareas engorrosas o difíciles,  sin que esta prerrogativa desmejore significativamente los niveles de seguridad. En este sentido, actualmente están disponibles varias tecnologías vinculadas con la gestión de contraseñas, que generalmente son implementadas por todos los navegadores para internet, Entre ellas están: 
-\begin{itemize}
-\item \textbf{cookies}: son pequeñas cápsulas de información sobre los datos de acceso a una aplicación  (sesión) .
-\item \textbf{recordación de claves}:  Es una lista donde se encuentran asociadas las claves y usuarios con los sitios que se visitan en internet. Cuando el usuario visita un sitio que se encuentra en la lista, el navegador ingresa automáticamente el nombre de usuario y su clave en el formulario.
-\item \textbf{Sistemas centralizados o locales de gestión de claves}: son aplicaciones en la web o de uso local (computadora,tableta o teléfono móvil) para gestionar las claves de todos los sistemas  al que el usuario ingresa desde sus dispositivos digitales.
-\end{itemize}
-
-
-Por otro parte, para que una contraseña sea resistente a ataques de fuerza bruta, debe contar con varias propiedades. Muchos sistemas validan las claves antes de que sean asignadas, pero no pueden asegurar de forma completa que la contraseña es inviolable dado que mucho de la responsabilidad de uso reside en el propietario de la clave: el usuario.
-
-Generalmente para que una contraseña sea considerada fuerte, debe tener por lo menos las siguientes propiedades:
-
-\begin{itemize}
-\item  Ser lo suficiente larga. Hoy en día, se considera ocho (8) caracteres la extensión  mínima de una contraseña  para la mayoría de los sistemas informáticos, este número puede disminuir si se acompaña con el uso de una tarjeta o elemento físico seguro (\textit{token}). 
-\item No ser una palabra de diccionario. 
-\item Estar compuesta por letras minúsculas y mayúsculas, 
-
-\end{itemize}
-
-Muchos sistemas informáticos cuentan entre sus políticas el cambio periódico de claves por parte de los usuarios, con respecto a ello Schneier en \ref{Schneier} considera que la política citada puede ser contraproducente y no se recomienda, debido a que si ya se cuenta con una contraseña fuerte no existe la necesidad de cambiarla.
-
-Las contraseñas como método de control de acceso seguirá siendo por lo menos por unos cuantos años más el método más popular, por lo tanto se hace necesario prestar atención en los aspectos de gestión organizacional y técnica de este tipo de herramienta, logrando conectar de manera eficiente las políticas con las aplicaciones y con las personas, tomando en cuenta que no se debe disminuir la ergonomía significativamente en pro de la seguridad. 
-
-
-
-
-
-
-
-
Index: quetacion/capitulo2/vulnerabilidad.tex.bak
===================================================================
--- maquetacion/capitulo2/vulnerabilidad.tex.bak	(revision d51b22c330a0245a732839def951c8505da86266)
+++ 	(revision )
@@ -1,58 +1,0 @@
-\section{Vulnerabilidades de los sistemas de información}
-
-Se refieren a los riesgos que tiene los sistemas informáticos, y que pueden  
-afectar los niveles de confidencialidad, integridad, disponibilidad de 
-los datos y aplicaciones.
-
-\subsection{Causas de las vulnerabilidades de los sistemas informáticos}
-
-Entre las causas que se consideran responsables de las vulnerabilidades 
-que afectan a los sistemas informáticos se tienen:
-
-\begin{itemize}
-\item Debilidad en el diseño de los protocolos utilizados en las redes, como por 
-ejemplo los protocolos de transmisión de información en texto claro.
-
-\item Fallos en los diseños y/o codificación de los programas. 
-%En algunos ocasiones los parches y actualizaciones de seguridad suministradas por 
-%los desarrolladores, no arreglan los problemas, o incluso pueden 
-%incluir nuevas vulnerabilidades. 
-
-\item Configuración inadecuada de los sistemas informáticos.
-%ya sea por: 
-%la poco documentación que exista de sistema, por lo poco seguro del 
-%sistema o dispositivo. 
-
-\item Políticas de seguridad deficientes o inexistentes.
-%en muchas 
-%instituciones no han definido e implementado de forma eficaz unas 
-%adecuadas políticas de seguridad de acuerdo a sus necesidades.
-
-\item Desconocimiento y falta de sensibilidad de los usuarios y de 
-los responsables de informática. todas las soluciones tecnológicas 
-que la institución pueden implementar (sistemas de detección de 
-intruso, cortafuego, entre otros) resultan inútiles antes el desinterés, 
-falta de información, falta de preparación en materia de seguridad.
-La falta de sensibilización de los directivos y responsables de 
-la organización, que deben ser conscientes de la necesidad de destinar 
-recursos a esta función
-
-\item Poca disponibilidad de herramientas, de fácil instalación, utilización, 
-con detallada documentación.
-
-%\item Existencia de puertas traseras (backdoors) en los sistemas 
-%informáticos que representa una vía de acceso no autorizada.
-
-\item La incorrecta instalación, configuración y mantenimiento 
-de los equipos
-
-%\item El no contemplar la seguridad frente a las amenazas del 
-%interior de la institución
-\end{itemize}
-
-La institución podría utilizar herramientas para realizar análisis y 
-evaluación de vulnerabilidades, que permitan conocer la situación real de
-los sistemas y de acuerdo con esa información se podrían reajustar 
-las políticas de seguridad, implantación de mecanismos o medidas de 
-seguridad.\\
-