Index: maquetacion/capitulo5/capitulo5.tex
===================================================================
--- maquetacion/capitulo5/capitulo5.tex	(revision 65b942d87c7d48ff242171f08a0c753e13d3328a)
+++ maquetacion/capitulo5/capitulo5.tex	(revision 385f126da6ba1caaa9348fdbcd8cfed079bedf82)
@@ -29,15 +29,18 @@
 
 %\begin{abstract}
-Una Autoridad de Certificación Raíz (AC Raíz) es un componente que tiene el rol de ser el 
-punto más alto de confianza en una ICP. Una ICP genera certificados electrónicos
-de acuerdo al 
+Una Autoridad de Certificación Raíz (AC Raíz) es un componente que
+tiene el rol de ser el 
+punto más alto de confianza en una ICP. Una ICP genera certificados
+electrónicos de acuerdo al 
 estándar X.509 proporcionando seguridad lógica, y vinculación
 legal a las transacciones que realiza el titular del certificado en 
 la Internet. La confianza reside en la protección, a través de esquemas fuertes de 
-seguridad física y lógica, de la clave privada que permite la generación de estos certificados. 
+seguridad física y lógica, de la clave privada que permite la
+generación de estos certificados. 
 
 Este trabajo muestra el proceso de desarrollo de una aplicación para gestionar 
-una Autoridad de Certificación Raíz utilizando bibliotecas, herramientas, compiladores, 
-sistemas operativos y licencias compatibles con los principios del software libre. 
+una Autoridad de Certificación Raíz utilizando bibliotecas, herramientas,
+compiladores, sistemas operativos y licencias compatibles con
+los principios del software libre. 
 En primer lugar, se determinan los requisitos a ser satisfechos en función de una 
 descripción general de las funciones y características de una Autoridad de 
@@ -45,13 +48,14 @@
 requisitos, con el objetivo de producir una visión formal de los procesos a 
 automatizar. Se dedica una sección a la implementación que consiste
-en la codificación en un lenguaje de programación de los procesos previstos en
-las 
-etapas anteriores, como también, de la incorporación de mecanismos fuertes de 
-validación de identidad de usuarios, registro de eventos, firma de acciones por parte 
-de los administradores de la aplicación, y especificación de conexiones con hardware 
-especializado, como tarjetas inteligentes. Finalmente, se describe el despliegue y 
-configuración de la aplicación, que involucra la instalación en un ambiente seguro 
-(bóveda o centro de datos) y el enlace de la AC Raíz con los demás componentes 
-de la infraestructura.  
+en la codificación en un lenguaje de programación
+de los procesos previstos en las etapas anteriores, como
+también, de la incorporación de mecanismos fuertes de 
+validación de identidad de usuarios, registro de eventos,
+firma de acciones por parte de los administradores de la aplicación, y
+especificación de conexiones con hardware especializado, como tarjetas
+inteligentes. Finalmente, se describe el despliegue y 
+configuración de la aplicación, que involucra la instalación
+en un ambiente seguro (bóveda o centro de datos) y el enlace de la AC Raíz con
+los demás componentes de la infraestructura.  
 
 
@@ -87,9 +91,11 @@
 
 \label{sec:intro}La disponibilidad de Internet como medio digital %seguro permite 
-permite que cualquier persona, empresa, institución, o administración realice transacciones 
+permite que cualquier persona, empresa, institución,
+o administración realice transacciones 
 gubernamentales, comerciales o personales en la mayoría de los casos, tal cual, 
 como se realizarían en una oficina o espacio físico de forma presencial. Dado este 
 hecho, al utilizar Internet para establecer relaciones humanas, se está de acuerdo 
-que es necesario trasladar el concepto de ``identidad'' al medio digital\cite{NIC:03}. 
+que es necesario trasladar el concepto de ``identidad''
+al medio digital\cite{NIC:03}. 
 La criptografía provee algoritmos y mecanismos para construir este concepto 
 en la red, ya que es posible utilizar herramientas que aporten elementos para 
@@ -97,27 +103,31 @@
 la que se está familiarizado en el mundo real.
 
-En muchas ocasiones para realizar actividades cotidianas personales o de trabajo, 
-se debe establecer contacto con un individuo u organización que no se conoce o del 
-cuál no se tiene ninguna referencia. Mediante un contacto personal o directo, los 
-sentidos humanos permiten percibir un gran número de detalles que le caracterizan, y 
-cuya combinación muy probablemente le hace irrepetible. Esta combinación  permite 
-identificar al individuo  de forma única y certera.  Dicho esto, la identidad se 
-define como el reconocimiento que se hace de las credenciales físicas o informativas, 
-que ese individuo ofrece para que se le acepte como poseedor de una determinada 
-individualidad \cite{STAL:03}. Las credenciales físicas pueden ser documentos como 
-la Cédula de Identidad, el Pasaporte, la Licencia de Conducir, entre otros. Todos los 
-documentos citados  generalmente incluyen una fotografía que permite la comparación 
-con la apariencia del interlocutor; también usualmente se agrega otra característica 
-informativa que puede ser un nombre, una  firma manuscrita y posiblemente un número 
-de referencia.
+En muchas ocasiones para realizar actividades cotidianas personales
+o de trabajo, se debe establecer contacto con un individuo u organización
+que no se conoce o del cuál no se tiene ninguna referencia. Mediante un
+contacto personal o directo, los sentidos humanos permiten percibir
+un gran número de detalles que le caracterizan, y cuya combinación
+muy probablemente le hace irrepetible. Esta combinación  permite 
+identificar al individuo  de forma única y certera. Dicho esto,
+la identidad se define como el reconocimiento que se hace de las
+credenciales físicas o informativas, que ese individuo ofrece para
+que se le acepte como poseedor de una determinada individualidad
+\cite{STAL:03}. Las credenciales físicas pueden ser documentos como 
+la Cédula de Identidad, el Pasaporte, la Licencia de Conducir,
+entre otros. Todos los documentos citados  generalmente incluyen una
+fotografía que permite la comparación con la apariencia del interlocutor;
+también usualmente se agrega otra característica informativa que puede
+ser un nombre, una  firma manuscrita y posiblemente un número de referencia.
 
 Cuando se traslada el concepto de identidad al medio informático, se habla de 
 identidad digital, y se hace necesario contar con credenciales traducibles a 
-información binaria. Por otro lado, la criptografía, por sí misma no proporciona este 
-concepto: es el uso de una infraestructura computacional que utiliza algoritmos 
-criptográficos para representar credenciales digitales, como por ejemplo el certificado 
-electrónico, y que son otorgados por terceros de confianza, denominados Autoridades 
-de Certificación (AC), y que se describen como Raíz cuando son el punto inicial de una 
-jerarquía, las que proveen a usuarios y organizaciones de identidad digital, y que 
+información binaria. Por otro lado, la criptografía, por sí misma
+no proporciona este concepto: es el uso de una infraestructura
+computacional que utiliza algoritmos criptográficos para representar
+credenciales digitales, como por ejemplo el certificado 
+electrónico, y que son otorgados por terceros de confianza,
+denominados Autoridades de Certificación (AC), y que se describen
+como Raíz cuando son el punto inicial de una jerarquía, las que
+proveen a usuarios y organizaciones de identidad digital, y que 
 cuenta con las mismas connotaciones que tiene este concepto en el ámbito personal 
 y jurídico.
@@ -129,6 +139,5 @@
 La discusión de importantes aspectos que surgen en las diferentes etapas del 
 proceso de desarrollo de la aplicación de gestión, y que están vinculados con
-los 
-principios del software libre y los requisitos muy particulares del ambiente 
+los principios del software libre y los requisitos muy particulares del ambiente 
 de despliegue, subrayan los objetivos propuestos de este trabajo.
 
@@ -137,13 +146,19 @@
 Con el objetivo de contextualizar los términos   ``identidad'', ``confianza'', o 
 ``transacción segura'' y``AC Raíz'' en el medio digital, y específicamente en 
-relación con la Internet; es imprescindible en una primera aproximación,  discutir sobre 
-determinados temas y conceptos vinculados con la seguridad informática. En los párrafos 
-siguientes se abordan brevemente algunos de los puntos más importantes relacionados con el tema. 
+relación con la Internet; es imprescindible en una primera aproximación,  
+discutir sobre 
+determinados temas y conceptos vinculados con la seguridad informática.
+En los párrafos 
+siguientes se abordan brevemente algunos de los puntos más importantes
+relacionados con el tema. 
  
 \subsection{Seguridad Informática}
 
-Se ha llegado a un consenso sobre lo que significa seguridad informática \cite{STAL:03}. 
-En general, se dice que un activo de información, (información digital con un valor 
-real para una empresa o persona) está asegurado si cumple con niveles  aceptables 
+Se ha llegado a un consenso sobre lo que significa seguridad
+informática \cite{STAL:03}. 
+En general, se dice que un activo de información, (información
+digital con un valor 
+real para una empresa o persona) está asegurado si cumple con
+niveles  aceptables 
 relativos a su valor potencial en los siguientes aspectos:
 \\ \\
@@ -156,19 +171,26 @@
 \\ \\
 \textbf{Confidencialidad:} es el aspecto de la seguridad que permite mantener en 
-secreto la información y solo los usuarios autorizados pueden manipularla. 
+secreto la información y sólo los usuarios autorizados pueden manipularla. 
 Igual que para la disponibilidad, los usuarios pueden ser personas, procesos o 
-programas. Para evitar que nadie no autorizado pueda tener acceso a la información 
-transferida y que recorre la red se utilizan técnicas de cifrado o codificación de 
+programas. Para evitar que ninguna persona no autorizada pueda tener acceso
+a la información transferida y que recorre la red se utilizan técnicas de
+cifrado o codificación de 
 datos. Hay que mantener una cierta coherencia para determinar cuál es el grado de 
-confidencialidad de la información que se está manejando, para así evitar un esfuerzo 
+confidencialidad de la información que se está manejando, para así evitar
+un esfuerzo 
 suplementario a la hora de decodificar una información previamente codificada.
 \\ \\
 \textbf{Integridad:} corresponde a garantizar que la información transmitida entre dos 
-entidades autorizadas no sea modificada por un tercero no autorizado. Un mecanismo 
+entidades autorizadas no sea modificada por un tercero no autorizado.
+Un mecanismo 
 para lograrlo es la utilización de firmas electrónicas.
-Mediante una firma electrónica se codifican los mensajes a transferir, de forma que una 
-función, denominada hash \cite{ACE:03}, calcula un resumen de dicho mensaje y se 
-le añade. La validación de la integridad del mensaje se realiza aplicándole al original la 
-misma función y comparando el resultado con el resumen que se añadió al final cuando 
+Mediante una firma electrónica se codifican los mensajes
+a transferir, de forma que una 
+función, denominada hash \cite{ACE:03}, calcula un resumen de
+dicho mensaje y se 
+le añade. La validación de la integridad del mensaje se realiza
+aplicándole al original la 
+misma función y comparando el resultado con el resumen que se
+añadió al final cuando 
 se calculó por primera vez antes de enviarlo.
 Mantener la integridad es importante para verificar que en el tiempo de viaje por 
@@ -177,16 +199,22 @@
 
 \subsection{Criptografía}
-La criptografía  es la ciencia o arte de ocultar información utilizando técnicas matemáticas 
+La criptografía  es la ciencia o arte de ocultar información
+utilizando técnicas matemáticas 
 que hagan posible el intercambio de mensajes de manera que sólo puedan ser leídos 
 por las personas o usuarios autorizados \cite{STAL:03}. La criptografía ha tomado 
 gran importancia en los últimos años, ya que es posible transformar las 
-``técnicas matemáticas'' en algoritmos que pueden ser comprendidos por una computadora.  
-Se puede clasificar la criptografía en dos tipos, según el tipo de clave que se utilice:
-
-\textbf{Criptografía Simétrica:} los sistemas de criptografía simétrica son aquellos 
-que utilizan una única clave para cifrar y descifrar un texto claro. Este tipo de 
+``técnicas matemáticas'' en algoritmos que pueden ser
+comprendidos por una computadora.  
+Se puede clasificar la criptografía en dos tipos, según el tipo
+de clave que se utilice:
+
+\textbf{Criptografía Simétrica:} los sistemas de criptografía
+simétrica son aquellos 
+que utilizan una única clave para cifrar y descifrar un texto
+claro. Este tipo de 
 sistema conlleva una desventaja, que consiste en el conocimiento de las partes 
 (emisor y receptor) de la  clave única que les permite intercambiar información 
-por un canal seguro. Como respuesta a ello, se hace necesario formalizar un procedimiento 
+por un canal seguro. Como respuesta a ello, se hace necesario
+formalizar un procedimiento 
 que muestre a las partes autorizadas la información sobre la clave, sin que sea 
 develada a un tercero no autorizado.
@@ -194,6 +222,6 @@
 \textbf{Criptografía Asimétrica:} también se conoce como  Sistema de Cifrado 
 de Clave Pública \cite{STAL:03}. Usa dos claves diferentes, una de ellas es la 
-Clave Pública que puede ser enviada a cualquier persona y otra, que se 
-denomina Clave Privada que es secreta, y no debe ser revelada. A diferencia del 
+Clave Pública que puede ser enviada a cualquier persona y otra que se 
+denomina Clave Privada, que es secreta y no debe ser revelada. A diferencia del 
 sistema de cifrado simétrico donde las partes deben concertar un procedimiento 
 para conocer la clave única, en este tipo de sistema el remitente usa la clave 
@@ -204,30 +232,42 @@
 \subsection{Certificados electrónicos}
 
-Un certificado electrónico es un documento de acreditación que permite a las partes 
+Un certificado electrónico es un documento de
+acreditación que permite a las partes 
 tener confianza en las transacciones que realicen en internet. Por tanto, 
 garantiza la identidad de su poseedor mediante un sistema de claves administrado 
 por una tercera parte de confianza. Para validar un certificado basta con conocer 
-la clave pública de la tercera parte conocida como la Autoridad de Certificación (AC). 
+la clave pública de la tercera parte conocida
+como la Autoridad de Certificación (AC). 
 Para cuidarnos de que piratas informáticos cambien su clave pública por la de la 
-autoridad de confianza, la AC debe crear un certificado con su propia información de 
-identidad y a la vez su clave pública y firmar el certificado, este certificado se le 
-conoce como certificado autofirmado.
+autoridad de confianza, la AC debe crear un certificado
+con su propia información de 
+identidad y a la vez su clave pública y firmar el certificado,
+este certificado se le conoce como certificado autofirmado.
 Dado que los certificados son información pública y lo que se desea es que todos 
-tengan acceso a ellos, pueden hacerse copias del certificado %de acuerdo sea necesario. 
+tengan acceso a ellos, pueden hacerse copias del
+certificado %de acuerdo sea necesario. 
 para su distribución.
-Los certificados electrónicos permiten varias cosas, entre ellas se pueden citar que los 
+Los certificados electrónicos permiten varias cosas, entre ellas
+se pueden citar que los 
 usuarios pueden añadir firmas electrónicas a los formularios en línea; que los 
-destinatarios pueden comprobar la autenticidad del correo electrónico confidencial; 
-que los compradores pueden estar seguros de que un sitio web es legítimo; y por último, 
-controla el acceso a bancos y comercios en línea, así como las intranets y extranets.
+destinatarios pueden comprobar la autenticidad del
+correo electrónico confidencial; 
+que los compradores pueden estar seguros de que un sitio web
+es legítimo; y por último, 
+controla el acceso a bancos y comercios en línea, así como
+las intranets y extranets.
 
 \subsection{Estándar X.509}
 
 
-X.509 y X.500 fueron originalmente dise\~nados a mediados de los a\~nos 80, antes 
-del enorme crecimiento de usuarios en la Internet. Es por esto que se 
-dise\~naron para operar en un ambiente donde sólo los computadores se interconectaban 
+X.509 y X.500 fueron originalmente dise\~nados a
+mediados de los a\~nos 80, antes 
+del enorme crecimiento de usuarios en la Internet.
+Es por esto que se 
+dise\~naron para operar en un ambiente donde sólo los
+computadores se interconectaban 
 intermitentemente entre ellos. En las versiones  1 y 2 de X.509 se utiliza una 
-lista estandarizada denominada lista de revocación de certificados (CRL por sus siglas en inglés) 
+lista estandarizada denominada lista de revocación de certificados
+(CRL por sus siglas en inglés) 
 que contiene la información referente a certificados que han sido revocados. 
 
@@ -241,8 +281,10 @@
 Con la utilización de la tecnología de certificados electrónicos se provee a los 
 clientes (personas o programas) de un nivel más alto en los procesos de 
-autenticación y autorización, ya que se le otorga al cliente algo que puede poseer, 
+autenticación y autorización, ya que se le otorga al cliente
+algo que puede poseer, 
 incluso incluir dentro de un elemento físico, como una tarjeta inteligente. 
 Los certificados en el formato X.509 v3 contienen datos del sujeto, 
-como su nombre, dirección, correo electrónico, etc. La figura \ref{fig:estandarx509}
+como su nombre, dirección, correo electrónico, etc.
+La figura \ref{fig:estandarx509}
 muestra un bosquejo de la especificación del estándar X.509 versión 3.
 
@@ -270,8 +312,10 @@
 
 \begin{itemize}
- \item \textbf{Certificado de Servidor de Conexión Segura (SSL por sus siglas en inglés):} 
+ \item \textbf{Certificado de Servidor de Conexión Segura
+(SSL por sus siglas en inglés):} 
  Permite incorporar el protocolo SSL a un servidor web con el objetivo que 
  toda la comunicación entre el cliente y el servidor permanezca segura, 
- cifrando la información que envía cada parte. El certificado del servidor posibilita 
+ cifrando la información que envía cada parte. El certificado
+ del servidor posibilita 
  la autenticación fuerte, es decir, que el servidor puede exigir certificados 
  personales de navegación a los usuarios para acceder a determinadas carpetas, 
@@ -279,26 +323,35 @@
  y contrase\~nas para la identificación de los usuarios.
 
- \item \textbf{Certificados personales (Correo electrónico y navegación):} Un certificado electrónico 
- personal es la herramienta necesaria para navegar, comprar y enviar o recibir
-correo 
- a través de la Internet, de una manera segura. Con el uso de este certificado
-se pueden 
- firmar o cifrar los mensajes  de correo para tener la seguridad que el receptor será 
- el único lector de nuestro mensaje. Se puede aumentar la seguridad y confianza entre el 
- cliente y el servidor web, al autenticarse también al usuario, esto también va a permitir 
- a las empresas la posibilidad de personalizar los contenidos a un usuario concreto, 
- con la certeza que otros usuarios no podrán ver dicho contenido, tales como información 
+ \item \textbf{Certificados personales (Correo electrónico y
+navegación):} Un certificado electrónico 
+ personal es la herramienta necesaria para navegar, comprar y
+enviar o recibir correo  a través de la Internet, de una manera
+segura. Con el uso de este certificado se pueden 
+ firmar o cifrar los mensajes  de correo para tener la seguridad
+que el receptor será 
+ el único lector de nuestro mensaje. Se puede aumentar la
+seguridad y confianza entre el 
+ cliente y el servidor web, al autenticarse también al usuario,
+esto también va a permitir 
+ a las empresas la posibilidad de personalizar los contenidos
+a un usuario concreto, 
+ con la certeza que otros usuarios no podrán ver dicho contenido,
+tales como información 
  confidencial, ofertas especiales, entre otros.
 
  \item \textbf{Certificado para firma de código:} El certificado para la firma de 
  código permite a un administrador, desarrollador o empresa de software firmar su 
- software y macros, y distribuirlo de una forma segura. Esta solución de Seguridad es el 
+ software y macros, y distribuirlo de una forma segura.
+ Esta solución de Seguridad es el 
  requisito mínimo que necesitan los clientes o lista de correo, para confiar y 
- tener la seguridad de que el fichero que reciben o se descargan, proviene exclusivamente 
+ tener la seguridad de que el fichero que reciben o se descargan,
+ proviene exclusivamente 
  de una empresa determinada. Con ello se evitan los problemas causados por la 
  suplantación de identidad y la distribución de objetos da\~ninos o perjudiciales 
  bajo esta supuesta identidad. Cualquier modificación (por ejemplo: inclusión de un 
- troyano o infección de un virus) sobre el software original lo invalidará, con lo que el 
- usuario tendrá la confirmación para rechazarlo al comprobar que la firma electrónica 
+ troyano o infección de un virus) sobre el software original
+ lo invalidará, con lo que el 
+ usuario tendrá la confirmación para rechazarlo al comprobar
+que la firma electrónica 
  no corresponde con la del software modificado.    
 \end{itemize}
@@ -312,8 +365,11 @@
 de símbolos y diagramas en donde se plasman las ideas de funcionalidad. 
 El UML fue creado por Grady Booch, James Rumbaugh e Ivar Jacobson en el año 
-1997\cite{SCHM:03},\cite{BOOC:99} y \cite{MULL:97}. Cada diagrama tiene fines distintos 
+1997\cite{SCHM:03},\cite{BOOC:99} y \cite{MULL:97}. Cada diagrama
+tiene fines distintos 
 dentro del proceso de desarrollo, su finalidad es presentar diversas perspectivas 
-de un sistema. La clave está en organizar el proceso de diseño de tal forma que los analistas, 
-clientes, desarrolladores y otras personas involucradas en el desarrollo del modelo 
+de un sistema. La clave está en organizar el proceso
+de diseño de tal forma que los analistas, 
+clientes, desarrolladores y otras personas involucradas
+en el desarrollo del modelo 
 lo comprendan y convengan con él. Los diagramas que componen el lenguaje son:
 
@@ -330,14 +386,19 @@
 \end{itemize}
 
-En este trabajo se utilizaron esencialmente los diagramas de clases, los diagramas de
-casos de uso y los diagramas de actividades, que se describen brevemente a continuación:
-
-\textbf{Diagramas de clases:} son representaciones gráficas de las categorías en que 
-pueden clasificarse los objetos del mundo real. En general, se hace una descripción 
+En este trabajo se utilizaron esencialmente los
+diagramas de clases, los diagramas de
+casos de uso y los diagramas de actividades, que se
+describen brevemente a continuación:
+
+\textbf{Diagramas de clases:} son representaciones gráficas
+de las categorías en que 
+pueden clasificarse los objetos del mundo real. En general,
+se hace una descripción 
 de las categorías que se utilizan en la aplicación a desarrollar. Las clases se 
 dise\~nan en función de sus atributos y relaciones con otras clases.
 
 \textbf{Diagramas de casos de uso:} son descripciones de las acciones que debe 
-realizar el usuario en el sistema \cite{SCHM:03}. Por ejemplo: Usuario que tiene la 
+realizar el usuario en el sistema \cite{SCHM:03}.
+Por ejemplo: Usuario que tiene la 
 necesidad de expedir un certificado electrónico a una AC de confianza.
 
@@ -345,5 +406,6 @@
 \textbf{Diagramas de actividades:}  muestran el flujo de actividades que ocurren 
 dentro de un caso de uso o dentro de un comportamiento de un objeto\cite{SCHM:03}. 
-Por ejemplo, las actividades que se realizan para expedir un certificado electrónico.
+Por ejemplo, las actividades que se realizan
+para expedir un certificado electrónico.
 
 \subsection{Software Libre}
@@ -357,7 +419,10 @@
 y por último 4) la Libertad de mejorar el programa y publicar las mejoras.
 
-Las libertades antes expuestas, proveen  muchos beneficios  a los usuarios finales. 
-En particular, en el área de seguridad informática. Se pueden nombrar  entre los 
-beneficios más importantes: la no dependencia  de un único fabricante, y la posibilidad 
+Las libertades antes expuestas, proveen  muchos beneficios 
+a los usuarios finales. 
+En particular, en el área de seguridad informática. Se pueden
+nombrar  entre los 
+beneficios más importantes: la no dependencia  de un único
+fabricante, y la posibilidad 
 de realizar auditorías y pruebas exhaustivas por parte de terceros, que pueden 
 ser personas, empresas o instituciones diferentes responsables del proyecto 
@@ -378,8 +443,10 @@
 y la aplicación estricta de políticas para los procesos de registro, publicación, 
 firma, renovación y revocación de certificados. 
-El tercero de confianza se denomina Infraestructura de Clave Pública (ICP) \cite{NASH:02}, 
+El tercero de confianza se denomina Infraestructura
+de Clave Pública (ICP) \cite{NASH:02}, 
 y consiste en la combinación de hardware y software, políticas y procedimientos 
 que permiten asegurar la identidad de los participantes en un intercambio de datos 
-usando criptografía pública. Una ICP debe proporcionar los tres conceptos de 
+usando criptografía de clave pública. Una ICP debe proporcionar
+los tres conceptos de 
 seguridad mencionados anteriormente.
 
@@ -418,9 +485,10 @@
 Este modelo de establecimiento de relaciones de confianza, es necesario entre 
 múltiples autoridades de certificación para garantizar que los usuarios 
-(entidades finales) no tengan que depender y confiar en una sola AC, algo que haría 
+(entidades finales) no tengan que depender y confiar
+en una sola AC, algo que haría 
 imposible el manejo de estabilidad, administración y protección. El objetivo 
 es que las entidades finales que utilizan identidades creadas por una AC puedan 
 confiar en ellas, aunque dichas partes tengan una autoridad expedidora
-diferente.   
+diferente.
 
 
@@ -444,15 +512,23 @@
 
 Se considera como punto importante en esta etapa, distinguir las diferencias entre 
-una AC Raíz y una AC de un Proveedor de Servicios de Certificación (PSC). La diferencia 
-principal entre estos dos tipos de AC, es la cantidad de certificados que deben gestionar 
-(firmar, renovar, revocar, etc.) , en un determinado periodo cada uno de ellos.
+una AC Raíz y una AC de un Proveedor de
+Servicios de Certificación (PSC). La diferencia 
+principal entre estos dos tipos de AC, es la cantidad
+de certificados que deben gestionar 
+(firmar, renovar, revocar, etc.) , en un determinado
+periodo cada uno de ellos.
 Esto es, una 
-AC Raíz solo gestiona un número mínimo de certificados,  los cuáles sirven para dar inicio a 
-la jerarquía (certificados otorgados a los PSC), por el contrario, una AC de un PSC debe 
-gestionar un número mucho mayor de certificados, ya que la función de este  nodo es 
-entregar certificados  periódicamente a usuarios, también llamados entidades finales.
+AC Raíz solo gestiona un número mínimo de certificados, 
+los cuáles sirven para dar inicio a 
+la jerarquía (certificados otorgados a los PSC), por el
+contrario, una AC de un PSC debe 
+gestionar un número mucho mayor de certificados, ya que
+la función de este  nodo es 
+entregar certificados  periódicamente a usuarios,
+también llamados entidades finales.
 
 La diferencia de escala de los dos tipos de AC conlleva a que la AC Raíz tenga 
-características particulares, que tienen que ver con los niveles y elementos de seguridad
+características particulares, que tienen que ver con los niveles
+y elementos de seguridad
 tanto físicos como lógicos que deben considerarse en la gestión del componente. 
 Por ejemplo, la desconexión de red del equipo  donde se ejecuta la aplicación de 
@@ -462,33 +538,49 @@
 
 
-La conexión de la aplicación con hardware especializado, como el Módulo de Seguridad en Hardware 
-(HSM por sus siglas en inglés) que permite generar y almacenar claves o las tarjetas inteligentes, 
-es un factor que debe considerarse en el momento de enumerar las funciones iniciales del software de gestión.   
-
-La selección del sistema operativo Linux \cite{SARW:03} para desplegar la aplicación, 
-ya que cumple con los principios del software libre, y cuenta con gran número de 
-herramientas en el área de programación \cite{KURT:01}, es un requisito no funcional 
-que se establece en esta etapa.
-
-Considerando los aspectos nombrados anteriormente, en este punto se elabora una lista 
-inicial de requisitos, con la cual debe cumplir la aplicación. Como técnicas utilizadas 
-en esta etapa están la realización de entrevistas a clientes, a posibles
-administradores 
-y operadores; así como la elaboración de tablas comparativas entre diferentes
-aplicaciones que 
-existen en las bibliotecas o portales de software libre, con la finalidad de evaluar las 
-herramientas a utilizar en la elaboración de la aplicación. 
+La conexión de la aplicación con hardware especializado,
+como el Módulo de Seguridad en Hardware 
+(HSM por sus siglas en inglés) que permite generar y almacenar
+claves o las tarjetas inteligentes, 
+es un factor que debe considerarse en el momento de
+enumerar las funciones iniciales del software de gestión.   
+
+La selección del sistema operativo Linux \cite{SARW:03} para
+desplegar la aplicación, 
+ya que cumple con los principios del software libre, y cuenta
+con gran número de 
+herramientas en el área de programación \cite{KURT:01}, es
+un requisito no funcional que se establece en esta etapa.
+
+Considerando los aspectos nombrados anteriormente,
+ en este punto se elabora una lista 
+inicial de requisitos, con la cual debe cumplir
+la aplicación. Como técnicas utilizadas 
+en esta etapa están la realización de entrevistas
+a clientes, a posibles administradores 
+y operadores; así como la elaboración de tablas
+comparativas entre diferentes aplicaciones que 
+existen en las bibliotecas o portales de software libre, con
+la finalidad de evaluar las herramientas a utilizar en la
+elaboración de la aplicación. 
 
 
 \subsection{Dise\~no}
 
-La etapa de dise\~no consiste en elaborar diagramas formales que permitan en la etapa 
-de implementación la representación de requisitos y procesos de la gestión del componente AC Raíz 
-en un lenguaje de programación.  Para el dise\~no de requisitos se utilizan los diagramas 
-de casos de uso del lenguaje UML, que muestran una primera aproximación de las operaciones 
-que se deben realizar en relación con las entradas dadas por los usuarios. Los actores 
-(usuarios) del caso de uso principal que se muestra en la figura \ref{fig:casodeusoprincipal} 
-son: el Administrador del componente AC, el Administrador del Componente AR, el Administrador 
-del componente PUB, y el actor PSC, quiénes son los que interactúan con la aplicación.
+La etapa de dise\~no consiste en elaborar diagramas
+formales que permitan en la etapa 
+de implementación la representación de requisitos y
+procesos de la gestión del componente AC Raíz 
+en un lenguaje de programación.  Para el dise\~no de
+requisitos se utilizan los diagramas 
+de casos de uso del lenguaje UML, que muestran una
+primera aproximación de las operaciones 
+que se deben realizar en relación con las entradas dadas
+por los usuarios. Los actores 
+(usuarios) del caso de uso principal que se muestra en la
+figura \ref{fig:casodeusoprincipal} 
+son: el Administrador del componente AC, el Administrador
+del Componente AR, el Administrador 
+del componente PUB, y el actor PSC, quiénes son los que
+interactúan con la aplicación.
 
 \begin{figure}[htb]
@@ -536,5 +628,5 @@
 Para modelar la secuencia de acciones que se realizan para cada caso de uso se 
 utilizan los diagramas de actividades. La figura \ref{fig:diagramaactividades} 
-muestra el diagrama de actividades generaesl para el caso de uso  ``Emisión de 
+muestra el diagrama de actividades generales para el caso de uso  ``Emisión de 
 certificados''' del actor Administrador del componente AC. Para este conjunto de 
 actividades participan cuatro (4) actores: Administrador del PSC, quien entrega los 
@@ -562,5 +654,5 @@
 de clases y actividades, generados en la etapa de  diseño. Se traduce  el 
 diagrama de clases al que se hace referencia en la figura \ref{fig:diagramaactividades} 
-en un modelo de datos relacional, y se genera un script SQL que genera el mapa de 
+en un modelo de datos relacional, y se genera un guión SQL que genera el mapa de 
 tablas relacional, donde las tablas representan relaciones tales como usuarios, 
 clientes, certificados, y las demás entidades que conforman el modelo de datos.
@@ -625,5 +717,6 @@
 Los tipos de tecnologías que deben seleccionarse son: bibliotecas para construir 
 la interfaz hombre-máquina (HMI por sus siglas en inglés), motor criptográfico,  conexiones con hardware, 
-interfaces con repositorio de datos y algoritmos de cálculo criptográfico más utilizados.
+interfaces con repositorio de datos y algoritmos de cálculo
+criptográfico más utilizados.
 
 
@@ -738,5 +831,5 @@
 En la etapa de diseño, los diagramas de casos de uso y actividades sirvieron 
 para obtener una visión formal de los requisitos y de los procesos con los que 
-la aplicación debe cumplir . Estos documentos de diseño  en el lenguaje UML,
+la aplicación debe cumplir. Estos documentos de diseño  en el lenguaje UML,
 permitieron 
 alcanzar de manera más rápida y certera los objetivos que son coincidentes con la 
@@ -769,5 +862,5 @@
 
 
-\emph{AC}: Autoridad de Certificación; componente de la PKI encargada de guardar 
+\emph{AC}: Autoridad de Certificación; componente de la PKI encargada de guardar, 
 de firmar, renovar, revocar las claves de los usuarios o entidades finales.
 
@@ -784,8 +877,10 @@
 
 \emph{PUB}: Publicador; componente de la PKI encargada de mantener accesibles 
-los certificados digitales emitidos por la PKI en medios como portales Web o directorios. 
+los certificados digitales emitidos por la PKI en medios como
+portales Web o directorios. 
  
 \emph{PKI}: Public Key Infrastructure, Infraestructura de clave pública; es el 
-conjunto formado por software, hardware, y políticas que asegura en la internet la 
+conjunto formado por software, hardware, y políticas que asegura
+en la internet la 
 propiedad de la claves públicas de los usuarios.
 