Index: recopilacionInicial/capitulo1/dispositivosDeUsuario.tex
===================================================================
--- recopilacionInicial/capitulo1/dispositivosDeUsuario.tex	(revision c5dbb263c635ec80030fd9833d8ae316b61b386d)
+++ recopilacionInicial/capitulo1/dispositivosDeUsuario.tex	(revision 9a48d1f7ed855990fe34ed114c680ece93cd1513)
@@ -138,7 +138,19 @@
 Estas tarjetas tienen mecanismos de seguridad que minimizan los
 ataques contra este tipo de dispositivos como la mencionada ``clonación de tarjetas''.
-En general, el acceso a datos protegidos en el chip está restringido por un Número
-de Identificación Personal (PIN por sus siglas en inglés) establecido por el 
-titular de la tarjeta. En la figura \ref{fig:tarjetaConMicroprocesador} se muestran
+En general, el acceso a datos protegidos en el chip está restringido por dos características 
+importantes: el Número de Identificación Personal (PIN por sus siglas en inglés) y 
+la Clave de Desbloqueo Personal (PUK por sus siglas en inglés).
+
+\begin{itemize}
+\item El PIN es un código de seguridad que le permite bloquear y desbloquear la tarjeta para evitar
+que otro usuarios pueda tener acceso a su contenido. 
+
+\item El PUK es un código que sirva para desbloquear la tarjeta y definir un nuevo PIN.
+Se emplea como mecanismo de seguridad cuando se introduce erróneamente el PIN más de un número 
+establecido de veces.
+
+\end{itemize}
+
+En la figura \ref{fig:tarjetaConMicroprocesador} se muestran
 varias tarjetas con microprocesador.
 
@@ -158,4 +170,7 @@
 la Organización Internacional para Estandarización (ISO por sus siglas en inglés) y la 
 Comisión Electrotécnica Internacional (IEC por sus siglas en inglés). 
+
+
+
 
 
@@ -198,14 +213,17 @@
 Un tipo de tarjetas inteligentes que se encuentra en muchas aplicaciones son las Java Card.
 Estas tarjetas utilizan la tecnología Java\footnote{http://www.java.com} sobre un chip para 
-ejecutar diferentes aplicaciones. Los fabricantes de tarjetas inteligentes generalmente desarrollan su propia
+ejecutar múltiples aplicaciones. Los fabricantes de tarjetas inteligentes generalmente desarrollan su propia
 versión del sistema operativo Java o siguen especificaciones abiertas. Algunos fabricantes de tarjetas
 inteligentes y sistemas operativos conocidos son Gemalto\footnote{https://www.gemalto.com/} que 
 sigue las especificaciones Java Card del Forum de Java Card\footnote{https://javacardforum.com/},
 NXP\footnote{http://www.nxp.com/} con JCOP, Giesecke \& Devrient\footnote{http://www.gi-de.com} con Sm@rtCafé Expert
-y Atos\footnote{http://atos.net/en-us/home.html} con CardOS.
+y Atos\footnote{http://atos.net/en-us/home.html} con CardOS. Otro sistema operativo de tarjetas 
+inteligentes es el MULTOS\footnote{http://www.multos.com/}. Este sistema está desarrollado 
+por un conjunto de empresas a nivel mundial agrupadas en el Consorcio MULTOS que promueven 
+el sistema operativo como estándar para tarjetas inteligentes en diferentes áreas de aplicación.
 
 También es posible encontrar proyectos de software libre que permiten interactuar con tarjetas
 Java Card. El movimiento para el uso de tarjetas inteligentes en ambientes Linux\footnote{http://www.musclecard.com} 
-(MUSCLE por sus siglas en inglés), es un proyecto que define un marco de trabajo que 
+(MUSCLE por sus siglas en inglés), es un proyecto que define un marco de trabajo 
 para el desarrollo de aplicaciones con tarjetas inteligentes en entornos Linux. 
 
@@ -227,8 +245,8 @@
 con interfaces de contacto, sin contacto o de interfaz dual (ambas interfaces en un mismo lector).
 
-Los lectores de tarjetas pueden conectarse a los computadores a través de distintas interfaces 
+Los lectores de tarjetas pueden conectarse a los computadores a través de distintas puertos 
 como por ejemplo USB o serial. En las figuras \ref{fig:lectorTarjetaContacto}, \ref{fig:lectorTarjetaSinContacto} y
 \ref{fig:lectorTarjetaHibrido} se 
-muestran algunos lectores de contacto, sin contacto e híbrido respectivamente.
+muestran algunos lectores de contacto, sin contacto y dual respectivamente.
 
 \begin{figure} [h]
@@ -272,8 +290,36 @@
 \item Tokens Criptográficos
 
-
-
-
-
+También llamados token de seguridad, token de autenticación o simplemente token USB, son
+dispositivos similares a las tarjetas inteligentes en su arquitectura. Poseen un
+microprocesador criptográfico que permite realizar las mismas operaciones criptográficas
+y de autenticación que las tarjetas inteligentes a través de un puerto USB.
+
+A diferencia de las tarjetas inteligentes no utilizan un lector pero sí requieren
+la instalación de un controlador de hardware en el computador para que sea reconocido. A nivel 
+del sistema operativo, el token criptográfico es visto como una tarjeta inteligente 
+conectada a un lector de tarjetas virtual. En la figura \ref{fig:tokensCriptograficos} se muestran
+algunos token criptográficos utilizados en aplicaciones como certificación electrónica
+y firmas electrónicas.
+
+\begin{figure} [h]
+\begin {center}
+\includegraphics[width=0.4\textwidth]{imagenes/tokensCriptograficos.jpg}
+\caption{Tokens criptográficos.}
+\label{fig:tokensCriptograficos}
+\end {center}
+\end{figure}
+
+También es posible encontrar tokens criptográficos en formato de tarjetas 
+MicroSD o SD como se muestra en la figura \ref{fig:tokensCriptograficosSD}.
+Las tarjetas MicroSD con certificados electrónicos almacenados se pueden utilizar 
+en teléfonos celulares para propósitos de autenticación o firma electrónica.
+
+\begin{figure} [h]
+\begin {center}
+\includegraphics[width=0.4\textwidth]{imagenes/tokensCriptograficosSD.jpg}
+\caption{Tokens criptográficos en formato MicroSD y SD.}
+\label{fig:tokensCriptograficosSD}
+\end {center}
+\end{figure}
 
 
@@ -289,7 +335,40 @@
 
 
+
+
+
+
 \item Chip SIM
 
-...
+Es una tarjeta o módulo de identificación de suscriptor (SIM por sus siglas 
+en inglés) que posee información relacionada al suscriptor de cada empresa prestadora 
+de servicio de telefonía en el Sistema Global para las Comunicaciones Móviles 
+(GSM por sus siglas en inglés). Datos como la clave del suscriptor 
+usada para identificarse en la red, están protegidos en la tarjeta SIM.
+
+En general, el chip SIM está diseñado para proveer las siguientes funciones básicas:
+
+\begin{itemize}
+\item Seguridad (identificación del suscriptor, autenticación de SIM y crifrado de datos).
+
+\item Almacenamiento de datos (números de contactos, mensajes cortos, configuración del
+teléfono celular e información del suscriptor).
+
+\item Administración del suscriptor.
+ 
+\end{itemize}
+
+
+En la figura \ref{fig:tarjetaSIM} se muestra una tarjeta SIM. 
+
+\begin{figure} [h]
+\begin {center}
+\includegraphics[width=0.3\textwidth]{imagenes/sim.png}
+\caption{Tarjeta SIM de telefonía celular.}
+\label{fig:tarjetaSIM}
+\end {center}
+\end{figure}
+
+
 
 
@@ -340,36 +419,69 @@
 \item Telefonía móvil.
 
-Venezuela es uno de los países de América Latina con mayor índice de penetración
-de telefonía celular de acuerdo a xxx (buscar estadísticas). Entre las tecnologías predominantes se encuentran
-la de Acceso Múltiple por División de Código (CDMA por sus siglas en inglés) y el Sistema Global para las 
-Comunicaciones Móviles (GSM por sus siglas en inglés). De estas tecnologías, la GSM está ganando mayor
-terreno dado que casi todas las operadores de telefonía celular de la República Bolivariana de Venezuela 
-están migrando a ella.
-
-En el caso de la tecnología GSM se utiliza una tarjeta o módulo de identificación de abonado (SIM por sus siglas 
-en inglés) que posee información relacionada al abonado de cada empresa prestadora de servicio. 
-En la figura \ref{fig:tarjetaSIM} se muestra una tarjeta SIM. Datos como la clave del suscriptor 
-usada para identificarse en la red, están protegidos en la tarjeta SIM.
-
-\begin{figure} [h]
-\begin {center}
-\includegraphics[width=0.3\textwidth]{imagenes/sim.png}
-\caption{Tarjeta SIM de telefonía celular.}
-\label{fig:tarjetaSIM}
-\end {center}
-\end{figure}
-
-La tarjeta SIM posee dos características importantes: el PIN y PUK.
-
-\begin{itemize}
-\item El PIN es un código de seguridad de 4 dígitos que le permite bloquear y desbloquear la tarjeta SIM para evitar
-que otro usuarios pueda usar el teléfono celular. Generalmente el PIN se encuentra desactivado, pero se 
-puede activar y/o cambiar de acuerdo a las especificaciones de los teléfonos celulares.
-
-\item El PUK es un código de 8 dígitos que sirva para desbloquear la tarjeta SIM y definir un nuevo PIN.
-Se emplea como mecanismo de seguridad cuando se introduce erróneamente el PIN más de un número 
-establecido de veces.
-
-\end{itemize}
+%La República Bolivariana de Venezuela es uno de los países de América Latina con 
+%mayor índice de penetración de telefonía móvil. 
+
+De acuerdo a los indicadores del 
+servicio de telefonía móvil a nivel nacional generados por la Comisión Nacional 
+de Telecomunicaciones, CONATEL, correspondientes al cuarto trimestre del 2013
+el porcentaje de penetración de usuarios activos es de 102,59\%. Se estiman
+103 líneas en uso del sistema de telefonía móvil por cada 100 habitantes.
+
+En la tabla
+\ref{tab:penetracionTecnologiaMovil} se presentan los datos de Número de suscriptores,
+suscriptores que están usando el servicio, la población total, el porcentaje 
+de penetración y el porcentaje de penetración de usuarios activos basados en la
+población trimestral estimada a partir de la serie de Fuerza de Trabajo que publica
+el Instituto Nacional de Estadísticas, INE\footnote{http://www.ine.gov.ve/}.
+
+\begin {center}
+\begin{table}[t]
+\caption{Indicadores del Servicio de Telefonía Móvil a nivel Nacional para el 2013.}
+\begin{tabular}{|l |l |l |l |l |l |}
+\hline 
+\textbf{Trimestre}  & \textbf{Suscriptores} & \textbf{Suscriptores en uso} & \textbf{Población} & \textbf{Penetración (\%)} & \textbf{Penetración activos (\%)}\\
+\hline
+I & 31.355.824 & 30.195.345 & 29.787.406  & 105,27 & 101,37\\
+\hline
+II & 31.543.806 & 30.442.724 & 29.891.188 & 105,53 & 101,85\\
+\hline
+III & 31.718.539 & 30.547.569 & 30.001.687 & 105,72 & 101,82\\
+\hline
+IV & 31.909.692 & 30.896.079 & 30.116.378 & 105,95 & 102,59\\
+\hline
+\end{tabular} 
+
+\label{tab:penetracionTecnologiaMovil}
+\end{table}
+\end{center}
+
+Entre las tecnologías predominantes de telefonía móvil se encuentran la de Acceso Múltiple por
+División de Código (CDMA por sus siglas en inglés) y GSM. De estas, GSM tiene mayor penetración
+en el país. En la tabla \ref{tab:proporcionSuscriptoresTecnologiaMovil} se muestra la proporción
+de suscriptores por tipo de tecnología de acuerdo a las estadísticas preliminares del Sector 
+Telecomunicaciones realizadas por la CONATEL, para el cuarto trimestre de 
+2013\footnote{http://www.conatel.gob.ve/files/Indicadores/indicadores\_2013/PRESENTACION\_IV\_TRIMESTRE\_2013\_2.pdf}
+con base en 31.909.692 suscriptores totales de telefonía móvil.
+
+\begin {center}
+\begin{table}[t]
+\caption{Proporción de suscriptores por tipo de tecnología móvil.}
+\begin{tabular}{|l |l |}
+\hline 
+\textbf{Tecnología}  & \textbf{Proporción de suscriptores (\%)} \\
+\hline
+GSM & 69,21 \\
+\hline
+CDMA & 30,79 \\
+\hline
+\end{tabular} 
+
+\label{tab:proporcionSuscriptoresTecnologiaMovil}
+\end{table}
+\end{center}
+
+Los teléfonos celulares con tecnología GSM utilizan un chip GSM para el acceso a la red.
+
+
 
 