Index: maquetacion/capitulo10/capitulo10.tex
===================================================================
--- maquetacion/capitulo10/capitulo10.tex	(revision 9e10d92256aed4121d11ce63cb2090cf6191df07)
+++ maquetacion/capitulo10/capitulo10.tex	(revision 474f31a3f533a25e9ec16973b7bdc1c9531bb213)
@@ -7,5 +7,5 @@
  \section{Introducción}
 
- En el presente artículo se extraerán principios del pensamiento estratégico clásico y moderno, para establecer las redefiniciones que en los ámbitos de defensa han producido el ingrediente tecnológico, puntualizándose sobre ese contexto mundial en temas cibernéticos, que muestra cómo un grupo de potencias militares y actores estatales han desarrollado conceptos como: ciberestrategia, y ciberpoder, que les han permitido desplegar capacidades superiores a la mayoría de los Estados.
+ En el presente capítulo se extraerán principios del pensamiento estratégico clásico y moderno, para establecer las redefiniciones que en los ámbitos de defensa han producido el ingrediente tecnológico, puntualizándose sobre ese contexto mundial en temas cibernéticos, que muestra cómo un grupo de potencias militares y actores estatales han desarrollado conceptos como: ciberestrategia, y ciberpoder, que les han permitido desplegar capacidades superiores a la mayoría de los Estados.
  Asimismo, se deliberará sobre la ciberguerra, exponiendo su naturaleza como medio para obtener fines políticos, explicándose aspectos propios de su construcción teórica/jurídica/militar, para entrar en el escenario suramericano, y reflexionar sobre la pertinencia del concepto de Identidad Digital Suramericana \textbf{IDS}, como complemento a una propuesta de Defensa Cibernética en la Unión de Naciones Suramericanas (UNASUR), analizándose tres marcos referenciales; Primero: la propuesta primigenia sobre ciberdefensa enmarcada en el literal 1.f de los Planes de Acción 2012/2013 del Consejo de Defensa Suramericano (CDS); Segundo: la decisión de la creación del mega anillo de fibra óptica para la región suramericana; y Tercero: el pronunciamiento presidencial de Paramaribo y su directriz para la defensa cibernética subcontinental.
 
@@ -30,5 +30,5 @@
  \end{quote}
 
- Estas pinceladas iniciales del pensamiento cibernético, que implicaba explicaciones biológicas y físicas, posteriormente tuvieron en Ross Ashby uno de los artífices de las reflexiones actuales, pre visualizando lo vasto y conexo del tema, apuntando en \cite{ASHBY:1957}, que esta rama de pensamiento tendería a desvelar un buen número de llamativas correlaciones entre las máquinas, el cerebro humano y la sociedad, estando en la capacidad de proveer un lenguaje común, en donde las revelaciones en un ámbito pueden aprovecharse en otros.
+ Estas pinceladas iniciales del pensamiento cibernético, que implicaba explicaciones biológicas y físicas, posteriormente tuvieron en Ross Ashby uno de los artífices de las reflexiones actuales, previsualizando lo vasto y conexo del tema, apuntando en \cite{ASHBY:1957}, que esta rama de pensamiento tendería a desvelar un buen número de llamativas correlaciones entre las máquinas, el cerebro humano y la sociedad, estando en la capacidad de proveer un lenguaje común, en donde las revelaciones en un ámbito pueden aprovecharse en otros.
  Esos tres factores de estudio (máquina/individuo/sociedad), coinciden en una interoperabilidad que funge como eje transversal, conllevando a la generación de toda una nueva gama de procesos, relaciones, y lenguajes sociales.
 
@@ -43,9 +43,9 @@
 
 
- A pesar de lo novelesco de esta propuesta, lo expuesto por Gibson, da un abreboca de lo que ciertamente unas décadas después sería el escenario digital interconectado, que reúne concordancias con lo sugerido en Neuromante \cite{GIBSON:1984}.
+ A pesar de lo novelesco de esta propuesta, lo expuesto por Gibson, da un abreboca de lo que ciertamente unas décadas después sería el escenario digital interconectado, que reúne concordancias con lo sugerido en \textit{Neuromante} \cite{GIBSON:1984}.
  Entrando en un campo más teórico, Cicognani intenta irrumpir en las profundidades terminológicas del ciberespacio, señalando en \cite{CICOGNANI:1998}, que en la expresión ciber+espacio, el espacio es tomado por su connotación física, por su parte ciber corresponde a las particularidades de la inmaterialidad.
  Aunque pareciera simple deducir esta dualidad, el unificar lo físico y virtual, no ha sido sencillo, y ha necesitado un hondo ejercicio analítico, para ampliar y derrumbar viejos paradigmas que hacían imperioso lo material para asumirlo como real, no estando exento de un intenso debate\footnote{De hecho, las interpretaciones teóricas del ciberespacio cuentan con dos grandes vertientes conocidas como los Excepcionalistas (\textit{The Exceptionalists}) y los No Exceptionalistas (\textit{The Unexceptionalists}), estando los primeros enmarcados en el establecimiento de regulaciones e interpretaciones que asumen la especificidad que personifica el ciberespacio.
   Mientras que los segundos, pregonan que la legislación existente en el espacio cinético se puede proyectar en el ciberespacio.}, sobre cómo se debe valorar el espacio cibernético.
- Es así que Post en \cite{POST:2013} reflexiona, acerca de una interrogante recurrente ¿es acaso el ciberespacio un lugar en realidad?, resultando la pregunta una curiosidad en sí misma, equivaliendo a inquirir si la existencia terrestre es “igual a” o “disímil a” la vida acuática, concluyendo que la contestación correcta, es que paralelamente, ambos escenarios son ciertos.
+ Es así que Post en \cite{POST:2013} reflexiona, acerca de una interrogante recurrente ¿es acaso el ciberespacio un lugar en realidad?, resultando la pregunta una curiosidad en sí misma, equivaliendo a inquirir si la existencia terrestre es ``igual a'' o ``disímil a'' la vida acuática, concluyendo que la contestación correcta, es que paralelamente, ambos escenarios son ciertos.
  El hombre ha tendido históricamente a delimitar y definir su hábitat, orientándose para ello en referencias físicas, o en la costumbre transmitida por sus antepasados, y esta tendencia se ha reproducido ante una creación antrópica como el ciberespacio, proponiendo Anders en \cite{ANDERS:2001}, que aunque se puede identificar el espacio cibernético como la referencia manejada en los medios de comunicación electrónicos para ubicarlo espacialmente, en el fondo se vincula a la necesidad de explicar el espacio donde se interactúa socialmente, lo que es fruto de la complejidad mental humana.
  Lo manifestado por Peter Anders sobre ese complejo proceso mental, muestra cómo los patrones conductuales característicos del ser humano en el espacio físico, pueden ser reproducidos en el espacio cibernético.
@@ -92,5 +92,5 @@
  Mientras que el mismo estudioso, refleja que la ciberestrategia representaría el impulso y utilización de las capacidades operativas en el ciberespacio, integradas y articuladas con diferentes dominios operacionales, para alcanzar o apuntalar el éxito de los objetivos, por intermedio de los elementos del poder nacional.
  En otros términos, la estrategia cibernética sería el emprendimiento de planes y acciones por un Estado en el ciberespacio, conforme a sus fines políticos, pero no necesariamente contiene un germen dominador, que si puede degenerarse del ciberpoder.
- Asimismo, Stuart H. Starr explica algunos perfiles profesionales para conformar distintos sectores neurálgicos del área cibernética, señalando que así como las aplicaciones técnicas del ciberespacio deben ser cubiertas por físicos, ingenieros eléctricos, informáticos, y de sistemas, en las instancias con competencia para proyectar el ciberpoder de un Estado, se precisan especialistas que apuntalen planes de dominación (política, diplomática, informática, militar, y económica); y en un sentido parecido, la ciberestrategia debe procurar expertos con conocimiento extenso e interdisciplinario, que abarquen temas gubernamentales, castrenses, financieros, sociales, informáticos y de infraestructura, para que propongan los pasos a seguir, conforme la coyuntura del contexto interno y externo.
+ Asimismo, Stuart H. Starr explica algunos perfiles profesionales para conformar distintos sectores neurálgicos del área cibernética, señalando que así como las aplicaciones técnicas del ciberespacio deben ser cubiertas por físicos, ingenieros electricistas, informáticos, y de sistemas, en las instancias con competencia para proyectar el ciberpoder de un Estado, se precisan especialistas que apuntalen planes de dominación (política, diplomática, informática, militar, y económica); y en un sentido parecido, la ciberestrategia debe procurar expertos con conocimiento extenso e interdisciplinario, que abarquen temas gubernamentales, castrenses, financieros, sociales, informáticos y de infraestructura, para que propongan los pasos a seguir, conforme la coyuntura del contexto interno y externo.
  Lo formulado, pone en evidencia lo holístico que debe ser la estructuración de una ciberestrategia, que requiere cumplir con una cadena lógica, en que lo estratégico oriente lo táctico, y no a la inversa, siendo Kiravuo bastante puntual en \cite{KIRAVUO:2013}, al recalcar que contrariamente a lo que se cree, la ciberdefensa no sostiene su credibilidad sobre el número de servidores, firewalls o técnicos contratados, ya que el agresor puede seleccionar el punto más vulnerable de la infraestructura tecnológica, haciéndose patente que el eje clave no es el técnico sino el estratégico, que afinará sus proyecciones conforme las pretensiones políticas que busca alcanzar el Estado, pormenorizando Olson:
 
@@ -120,5 +120,5 @@
  \end{quote}
 
- Este discurso del alto funcionario estadounidense, coloca al ciberespacio en la palestra de la lucha hegemónica por el poder, ya que han sido continuas las acusaciones mutuas por parte de las grandes potencias (China/Estados Unidos) sobre incursiones o sabotajes informáticos, al punto que el diario oficial del Ejército Popular de Liberación de China, ha hecho públicos serios cuestionamientos a las acusaciones de Washington, destacando las del investigador Wang Xinjun, quien expresó:
+ Este discurso del alto funcionario estadounidense, coloca al ciberespacio en la palestra de la lucha hegemónica por el poder, ya que han sido contínuas las acusaciones mutuas por parte de las grandes potencias (China/Estados Unidos) sobre incursiones o sabotajes informáticos, al punto que el diario oficial del Ejército Popular de Liberación de China, ha hecho públicos serios cuestionamientos a las acusaciones de Washington, destacando las del investigador Wang Xinjun, quien expresó:
 
  \begin{quote}
@@ -314,5 +314,5 @@
  Empero, la transferencia tecnológica por sí misma no tiene un valor agregado, esto recae en percibir su fondo estratégico y comprender qué se quiere lograr con el conocimiento transferido.
  Es decir, la ``Industria y Tecnología de la Defensa'' puede representar el punto de partida de un vasto proyecto regional, pero debe ajustarse a la necesidad de software y hardware bajo estándares libres\footnote{Se puede tomar como referencia la conceptualización de tecnologías libres, establecida en la Ley de InfoGobierno venezolana: ``Son aquellas tecnologías con estándares abiertos que garantizan el acceso a todo el código fuente y la transferencia del conocimiento asociado para su comprensión; libertad de modificación; libertad de uso en cualquier área, aplicación o propósito y libertad de publicación del código fuente y sus modificaciones'' \cite{Infogobierno:2013}}, que requiera la defensa del ciberespacio suramericano (Particularmente la IDS), siendo ineludible reconfigurar la visión de ciencia y tecnología regional, que aún responden a patrones de dominación.
- El uso de tecnologías libres, no es un modismo, y todas las argumentaciones estratégicas expuestas serian en vano, si se pretendiera asumir políticas tecnológicas subcontinentales, que sean reproductoras de las visiones privativas o economicista del Complejo Militar Industrial, acotando Julian Assange:
+ El uso de tecnologías libres, no es un modismo, y todas las argumentaciones estratégicas expuestas serían en vano, si se pretendiera asumir políticas tecnológicas subcontinentales, que sean reproductoras de las visiones privativas o economicista del Complejo Militar Industrial, acotando Julian Assange:
 
  \begin{quote}
@@ -383,5 +383,5 @@
 
  En este escenario variable y en proceso de definición, se puede distinguir que el reconocimiento por parte de los entes decisorios subcontinentales, de una noción de IDS, permitiría contextualizar los riesgos y coadyuvaría a la adopción de medidas en ciberdefensa, que ineludiblemente terminar\'an por tocar asuntos estructurales, ya que se requiere desarrollar una ``Industria y Tecnología de la Defensa'', sostenida sobre estándares libres.
- A manera de cierre y con la finalidad de contribuir teóricamente en este debate, se presenta la siguiente apreciación sobre lo que debería ser la Identidad Digital Suramericana IDS: es toda aquella información digital que caracteriza individual o colectivamente a personas naturales o jurídicas, que es intercambiada, almacenada, distribuida, o resguardada, en el espacio cibernético de Suramérica, y que es considerada como un bien jurídico protegido por la UNASUR, que garantizara su defensa cooperativa ante un ataque cibernético, que pueda estar vinculado a un delito informático o acción de ciberguerra.
+ A manera de cierre y con la finalidad de contribuir teóricamente en este debate, se presenta la siguiente apreciación sobre lo que debería ser la Identidad Digital Suramericana IDS: es toda aquella información digital que caracteriza individual o colectivamente a personas naturales o jurídicas, que es intercambiada, almacenada, distribuida, o resguardada, en el espacio cibernético de Suramérica, y que es considerada como un bien jurídico protegido por la UNASUR, que garantizará su defensa cooperativa ante un ataque cibernético, que pueda estar vinculado a un delito informático o acción de ciberguerra.
 
 